Welcome to DisclaimIt 4.8

DkimX-Logo
Welcome to DisclaimIt 4.8

To create a simple, working configuration after installation, please follow the steps described in the topic Quick Configuration in Five Steps.

If you want to see something be implemented in a future release of this product or if you want to report a bug or have any other technical question related to this product, please send e-mail to support@netal.com or use the web-based support forum.

http://www.netal.com
Franz Krainer
franzk@netal.com


Release Notes

DisclaimIt 4.8 Release Notes

Welcome to DisclaimIt 4.8. Please refer to these release notes to obtain the most up-to-date information about installation, documentation, support, and other known issues.

  • What's New
  • Installing DisclaimIt 4.8
  • Upgrading from an older DisclaimIt 4.x version
  • Upgrading from DisclaimIt 2.x or 3.x
  • DisclaimIt and MS Exchange 2007/2010
  • Product Documentation
  • Limited Trial License and User Licenses
  • Providing Feedback
  • Technical Support

What's New

IMPORTANT Licenses for DisclaimIt 1.x, 2.x and 3.x are not valid for DisclaimIt 4.8 and must be upgraded to DisclaimIt 4.x licenses. For more information, please see http://www.netal.com/disclaimit4x.htm.

The following problems have been fixed in DisclaimIt 4.8:

  • When a rich text message is processed, which has attachments positioned within the rich text body, the position information of these inline attachments is lost.
  • When a rich text message is processed, which contains URLs within the body text, the texts of these URLs are duplicated.

DisclaimIt 4.8 contains the following new feature:

  • Logging information about messages processed by the Message Processor to CSV-formatted daily log files.

Installing DisclaimIt 4.8

Prerequisites for the DisclaimIt Services feature:

  • Windows Server 2003 with Service Pack 2 or later, Windows Server 2008, Windows Server 2008 R2
  • Exchange Server 2007/2010 with the Hub Transport Server role installed

Prerequisites for the DisclaimIt Manager feature:

  • Windows XP with Service Pack 3 or later, Windows Server 2003 with Service Pack 2 or later, Windows Vista, Windows Server 2008, Windows 7, Windows Server 2008 R2
  • .NET Framework 2.0

Note When you install DisclaimIt, the service Microsoft Exchange Transport needs to be restarted.

Other Installation Considerations

Uninstalling the Product

To uninstall the product, open the Add/Remove Programs applet in the Control Panel, select DisclaimIt 4.8 and click the Remove button.

Note When you uninstall DisclaimIt, existing MS Exchange transport rule linked to processing rules are not removed. This means that after you install the last instance of DisclaimIt, remove afterwards all MS Exchange transport rules whose names begin with DisclaimIt Rule:.

Note When you uninstall DisclaimIt, the service Microsoft Exchange Transport needs to be restarted.

Upgrading from an older DisclaimIt 4.x version

Upgrading from an older DisclaimIt 4.x version is supported. All configuration settings will be preserved.

Upgrading from DisclaimIt 2.x or 3.x

DisclaimIt 4.x was developed from the ground up based on .NET technology to be used in an MS Exchange 2007/2010 environment. If you were using a previous version of DisclaimIt (2.x, 3.x), you will find many similarities but also some important differences. We strongly advise you to read the following topics:

  • Differences between DisclaimIt 4.x and DisclaimIt 3.x
  • Importing Legacy Configuration
  • Processing rules and linked MS Exchange transport rules

An in-place upgrade from a previous version of DisclaimIt (2.x, 3.x) to DisclaimIt 4.8 is not supported because DisclaimIt 4.8 can only be installed on MS Exchange 2007/2010 Hub Transport servers. It is nonetheless possible to migrate the configuration settings of an installation of DisclaimIt 2.6, 2.7, 3.0, 3.1, 3.2 or 3.3 by importing the legacy configuration file, Config.xml. Please read Importing Legacy Configuration for more information.

DisclaimIt and MS Exchange 2007/2010

DisclaimIt 4.8 can only be used in an MS Exchange 2007/2010 environment. The DisclaimIt Services for message processing can only be installed on MS Exchange 2007/2010 servers with the Hub Transport Server role installed. Please note the following deployment options:

  • If you want to process outgoing messages only, it is sufficient to install and configure the DisclaimIt Services on the Hub Transport servers which are responsible for Internet mail delivery (e.g. are configured as the bridgehead servers for the Internet SMTP send connectors).
  • If you also want to process internal messages, you must install and configure the DisclaimIt Services on all Hub Transport servers in your MS Exchange organization.

IMPORTANT If you install and use the DisclaimIt Services on more than one MS Exchange hub transport server, please note the following:

  • The same version of DisclaimIt must be installed on your MS Exchange transport servers.
  • All instances of the DisclaimIt Services installed on the same MS Exchange server version must use the same configuration. Read the topic How to Replicate the Configuration Between Multiple DisclaimIt Instances for more information about how to implement this requirement.

Product Documentation

The documentation for the product is available by accessing the Product Documentation item in the program group where the product is installed.

Limited Trial License and User License

The DisclaimIt product ships with an evaluation license, which will expire 60 days after installation. According to the End-User License Agreement ("EULA"), on expiration of the evaluation license, you must either purchase one or more user licenses or alternatively completely uninstall the DisclaimIt software. To order user licenses or to find detailed ordering information, please go to http://www.netal.com/disclaimit4x.htm.

Providing Feedback

A web-based support forum is available to help you interact with us and other users of this product.

Technical Support

If you have a technical question about DisclaimIt, use this online documentation or consult Help by clicking the Help button during a procedure. If you still have a question, post it to the web-based support forum or send your technical questions to support@netal.com.

Copyright Information

© 2001-2014 Franz Krainer

These materials are provided "as-is", for informational purposes only.

Neither Franz Krainer nor his suppliers makes any warranty, express or implied with respect to the content of these materials or the accuracy of any information contained herein, including, without limitation, the implied warranties of merchantability or fitness for a particular purpose. Because some states/jurisdictions do not allow exclusions of implied warranties, the above limitation may not apply to you.

Neither Franz Krainer nor his suppliers shall have any liability for any damages whatsoever including consequential, incidental, direct, indirect, special, and lost profits. Because some states/jurisdictions do not allow exclusions of implied warranties, the above limitation may not apply to you.

2014-09-21


Quick Configuration in Four Steps

Quick Configuration in Five Steps

To create a simple, working configuration after installation of DisclaimIt, perform the following four steps in the DisclaimIt Manager, followed by one step in the MS Exchange 2007/2010 Management Console:

  1. Go into the properties of the Configuration node, select the Administrative Contacts Property Page and on it add one or more of your responsible administrative contacts to be notified by e-mail in case of license management events. See Manage Configuration for more information.
  2. Under the Text Modules node, edit the properties of the sample text module DemoDisclaimer: On the General Property Page, specify a name and description of your choice, and on the Rich Text Property Page, Plain Text Property Page and HTML Text Property Page, specify the desired rich text, plain text and HTML text (HTML source code), which should be added to messages. See Manage Text Modules for more information.

    Note It is necessary to specify all three text types to cover all possible message body formats. For simpler deployments, it may be sufficient to specify only the rich text and enable the check box Use converted rich text on the Plain Text Property Page and HTML Text Property Page.
  3. Under the Processing Rules node, create a new processing rule with a name of your choice. Then go into the properties of the new processing rule, select the Action Property Page and on it add your text module from step 2 to the list box, below the existing entry Original Message Text. See Manage Processing Rules for more information.
  4. Select the Configuration node, right-click and select Apply to save your configuration changes.
  5. Open the MS Exchange 2007/2010 Management Console, navigate to Microsoft Exchange->Organization Configuration->Hub Transport->Transport Rules. There select the transport rule with the name DisclaimIt Rule: <Your processing rule name you specified in step 3>, right-click and select Enable Rule.

    Note The newly created associated MS Exchange transport rule contains the condition from users inside the organization, so that it only applies to messages sent by internal senders. This means that by default only internal and outbound messages will be processed. You can, of course specify other conditions, if desired.

The configuration you create by performing these five steps instructs the processing engine to append the disclaimer texts you specified in step 2 to all internal and outbound messages, unless you specified other conditions in step 5.


Setup

Welcome to the Setup topics. This section provides general information about installation requirements, procedures, and options. If you are having difficulty with your installation, review this information to be sure your computer is configured correctly and meets all the system requirements.

This section contains:

  • System Requirements: Required and recommended software.
  • Installation: The installation process on your computer.
  • Uninstallation: How to remove DisclaimIt from the system.


System Requirements

Please be sure that the following software is installed on the computer prior to the installation of DisclaimIt:

Prerequisites for the DisclaimIt Services feature:

  • Windows Server 2003 with Service Pack 2 or later, Windows Server 2008, Windows Server 2008 R2
  • MS Exchange Server 2007/2010 with the Hub Transport Server role installed

Prerequisites for the DisclaimIt Manager feature:

  • Windows XP with Service Pack 3 or later, Windows Server 2003 with Service Pack 2 or later, Windows Vista, Windows Server 2008, Windows 7, Windows Server 2008 R2
  • .NET Framework 2.0

Note If the Hub Transport Server role is not installed on the server where you try to install DisclaimIt, the DisclaimIt Services feature will not be displayed as an available feature. Nonetheless, the DisclaimIt Manager feature can be installed.


Installation

To install DisclaimIt
  1. Double-click the installation package file DisclaimIt48.msi.
  2. On the Welcome page of the Setup Wizard, click Next.
  3. Read the license agreement on the End-User License Agreement page. Only if you accept all the terms of the license agreement, check I accept the terms in the License Agreement and click Next.
  4. On the Custom Setup page, select the product features to install and choose the folder into which to install the software and click Next.
  5. On the Ready to install DisclaimIt 4.8 page, click Next to start the installation process.
  6. On the Setup Complete page, which is displayed after successful installation, click Finish.

Note You must be logged in as an administrator of the computer to successfully install the product.

Note When you install DisclaimIt, the service Microsoft Exchange Transport needs to be restarted.


Uninstallation

To uninstall DisclaimIt
  1. From the Start menu, choose Settings and then Control Panel.
  2. In Control Panel, double-click Add/Remove Programs.
  3. Select DisclaimIt 4.8.
  4. Click the Remove button.
  5. Click Yes on the confirmation dialog.

Note When you uninstall DisclaimIt, existing MS Exchange transport rule linked to processing rules are not removed. This means that after you install the last instance of DisclaimIt, remove afterwards all MS Exchange transport rules whose names begin with DisclaimIt Rule:.

Note When you uninstall DisclaimIt, the service Microsoft Exchange Transport needs to be restarted.


Concepts

Welcome to the Concepts topic. This section provides information about product features and how the product works.

This section contains:

  • Introducing DisclaimIt: Describes what DisclaimIt is all about.
  • Product Components: Describes the product components of DisclaimIt.
  • Message Processing Logic: Describes how DisclaimIt processes e-mail messages.
  • Deployment Scenarios: Describes how DisclaimIt can be deployed in existing e-m7ail environments.


Introducing DisclaimIt

DisclaimIt is a server-based message processing tool for adding disclaimers, banners and signatures to e-mail messages. The product feature DisclaimIt Services, which implements the message processor engine, must be installed on MS Exchange 2007/2010 servers with the Hub Transport Server role installed. The product feature DisclaimIt Manager, used for managing the configuration, allows for local and remote management and may be installed on workstations or servers.

Features:

  • Multithreaded processing engine which provides excellent performance and high scalability.
  • Supports rule-based message processing for internal, outgoing and incoming messages in an MS Exchange 2007/2010 environment.
  • MS Exchange 2007/2010 transport rules are used for conditional processing of messages.
  • AD attributes of originators can be dynamically included into the text to be added to messages to implement server-based user signatures.
  • Supports processing of messages being of any body format: rich text, plain text and HTML.
  • Supports attachments to be added to messages.
  • Supports automatically generated vCards to be added to messages.
  • Supports inline image files in HTML text to add.
  • Supports inserting text before the replied or forwarded text of a message.
  • Supports dynamic inclusion of text files and message properties into the text to be added to messages.
  • Supports extensive and configurable trace logging to file or Event Log for diagnostic purposes.
  • Supports optional message logging for diagnostic purposes.
  • Local or remote administration can be performed interactively using the DisclaimIt Manager, which is implemented as an MMC 3.0 Snap-In.
  • Supports easy backup and restore of configuration data.
  • Exposed performance counters allow for monitoring runtime parameters.


Product Components

DisclaimIt consists of two main features, which may be installed separately: DisclaimIt Services and DisclaimIt Manager.

  • DisclaimIt Services implements the run-time functionality to process e-mail messages. Configuration management and directory service access functionality is implemented in the DisclaimIt Management service. The message processing engine is implemented as an MS Exchange 2007/2010 transport agent. This feature can only be installed on MS Exchange 2007/2010 servers with the Hub Transport Server role installed.

    IMPORTANT The message processing engine will only process messages when the DisclaimIt Management service is running.

  • DisclaimIt Manager implements the UI for administering local or remote instances of DisclaimIt Services and is implemented as an MMC 3.0 Snap-In.


Message Processing Logic

The message processing logic of DisclaimIt works as follows:

  1. A message is processed by the Transport Rule Agent of the MS Exchange 2007/2010 server with the Hub Transport Server role installed.
  2. Should a message match the conditions of an Exchange transport rule which is linked to a processing rule, the message is marked for later processing by the message processor.
  3. If the message was marked in the previous step, it is now processed according to the configuration of the processing rule to apply.


Deployment Scenarios

DisclaimIt 4.8 can only be used in an MS Exchange 2007/2010 environment. The DisclaimIt Services for message processing can only be installed on MS Exchange 2007/2010 servers with the Hub Transport Server role installed. Please note the following deployment options:

  • If you want to process outgoing messages only, it is sufficient to install and configure the DisclaimIt Services on the Hub Transport servers which are responsible for Internet mail delivery (e.g. are configured as the bridgehead servers for the Internet SMTP send connectors).
  • If you also want to process internal messages, you must install and configure the DisclaimIt Services on all Hub Transport servers in your MS Exchange organization.


Administrator’s Guide

Welcome to the Administrator’s Guide topic.

This section contains:

  • Configuration Management: Describes how the global configuration and server configurations are managed.
  • Using Text Modules: Describes how to use text modules.
  • Using Placement Policies: Describes how to use placement policies.


Configuration Management

This topic contains information about how manage the global configuration and server configurations.

This section contains:

  • Managing Server Configurations: Describes how server configurations are managed.
  • Managing the Global Configuration: Describes how the global configuration is managed.
  • Testing Rule Processing: Describes how to evaluate the outcome of applying a specific rule to a message.
  • Migrating DisclaimIt from MS Exchange 2007 to MS Exchange 2010: Describes the steps needed to migrate DisclaimIt from MS Exchange 2007 servers to MS Exchange 2010 servers.
  • Using DisclaimIt in a Mixed MS Exchange 2007/2010 Environment: Describes management restrictions in a mixed MS Exchange 2007/2010 environment.
  • How to Replicate the Configuration Between Multiple DisclaimIt Instances: Describes how to replicate the configuration between multiple instances of MS Exchange hub transport servers with DisclaimIt Services installed.
  • Processing Rules and Linked Exchange Transport Rules: Describes the relationship between processing rules and linked MS Exchange transport rules.
  • Differences between DisclaimIt 4.x and DisclaimIt 3.x: Describes differences in the functionality between DisclaimIt 4.x and previous versions.
  • Importing Legacy Configuration: Describes how to import the configuration settings from a DisclaimIt 2.x or 3.x installation.
  • Backing Up and Restoring the Configuration: Describes how the configuration can be backed up and restored.
  • Configuring Administrative Access Permissions: Describes the default access permissions and how they can be changed.
  • How to Configure Support for Messages with Non-Standard MAPI Identifiers: Describes how to configure processing of messages which use non-standard MAPI identifiers.


Managing Server Configurations

A server object is displayed under the node Servers for each MS Exchange server with the Hub Transport Server role installed. Even Hub Transport servers where the DisclaimIt Services are not installed are shown. The server to which you are currently connected to with DisclaimIt Manager is displayed with its name prefixed with an asterisk. For each server object you can configure its properties. The configuration settings for each server are stored in the file <InstallDir>\Data\Configuration\Settings\Server.Hostname.xml.

IMPORTANT Changes to the server configuration are effective immediately only on the server you are connected to. Configuration change to other servers are written to their respective configuration files but are not automatically replicated to the other Hub Transport servers with DisclaimIt Services installed. You must in this case either manually copy the content of the directory <InstallDir>\Data\Configuration from the server where the changes where applied to the other servers or you can configure DFS Replication for automatic file replication. Read the topic How to Replicate the Configuration Between Multiple DisclaimIt Instances for more information about how to implement this.

Related Topics

Using DisclaimIt in a Mixed MS Exchange 2007/2010 Environment

How to Replicate the Configuration Between Multiple DisclaimIt Instances

Configuring Administrative Access Permissions

Manage Servers

Server Properties


Managing the Global Configuration

The global configuration consists of processing rules, text modules, placement policies and administrative contacts. Changes to the global configuration are cached locally and are not effective for the DisclaimIt Services till you apply the configuration changes. All global configuration settings are stored in the file <InstallDir>\Data\Configuration\Settings\Global.xml. Referenced resource files (attachments, images, includes) are stored below the directory <InstallDir>\Data\Configuration\Resources.

IMPORTANT When you apply configuration changes, the changes settings are written to the file Global.xml on the Hub Transport server with DisclaimIt Services installed to which you are currently connected with the DisclaimIt Manager. If there are more than one Hub Transport servers with DisclaimIt Services installed in your environment, configuration files are not automatically replicated to the other Hub Transport servers with DisclaimIt Services installed. You must in this case either manually copy the content of the directory <InstallDir>\Data\Configuration from the server where the changes where applied to the other servers or you can configure DFS Replication for automatic file replication. Read the topic How to Replicate the Configuration Between Multiple DisclaimIt Instances for more information about how to implement this.

Related Topics

Using DisclaimIt in a Mixed MS Exchange 2007/2010 Environment

How to Replicate the Configuration Between Multiple DisclaimIt Instances

Configuring Administrative Access Permissions

Manage Processing Rules

Manage Text Modules

Manage Placement Policies

Configuration Properties

Processing Rule Properties

Text Module Properties

Placement Policy Properties


Testing Rule Processing

To evaluate the outcome of applying a specific rule to a message, you can send a test message to yourself, where you indicate the rule to apply in the message's subject. The test message must be addressed to the sender of the message as its single recipient and the message's subject must have the following format:

%DisclaimItRuleToApply $ProcessingRuleName

where ProcessingRuleName is the name of the processing rule you want to be applied to the test message.

Example:

%DisclaimItRuleToApply $Disclaimer for Internal Messages


Migrating DisclaimIt from Exchange 2007 to Exchange 2010

Migrating DisclaimIt from MS Exchange 2007 to MS Exchange 2010

To migrate DisclaimIt from MS Exchange 2007 servers to MS Exchange 2010 servers is an easy task, but there is one issue which must be taken care of: MS Exchange 2007 and MS Exchange 2010 use different sets of transport rules. When the first MS Exchange 2010 server is deployed, the existing MS Exchange 2007 transport rules are recreated as MS Exchange 2010 transport rules. This process happens only once, during deployment of the first MS Exchange 2010 server, later changes to transport rules will not be synchronized between MS Exchange 2007 and MS Exchange 2010.

The processing rules of DisclaimIt reference their associated linked transport rules by the GUID of the AD-objects of the transport rules. Because the copied transport rules of MS Exchange 2010 have different GUIDs, the processing rules are no longer associated with existing transport rules and will be shown as being disconnected. It is therefore necessary to recreate the correct mappings by using DisclaimIt Manager.

Perform the following steps to migrate DisclaimIt from MS Exchange 2007 servers to MS Exchange 2010 servers:

  1. Install DisclaimIt on the MS Exchange 2010 servers with the Hub Transport Server role installed.
  2. Copy the content of <InstallDir>\Data\Configuration from a DisclaimIt installation on an MS Exchange 2007 server to the corresponding location on one of the MS Exchange 2010 servers with DisclaimIt installed.
  3. Open DisclaimIt Manager on the MS Exchange 2010 server you used as target in the previous step and select the Processing Rules node. On the Action menu, select Match Disconnected Processing Rules by Name, or right-click and select Match Disconnected Processing Rules by Name to map disconnected processing rules to transport rules with the name DisclaimIt Rule: ProcessingRuleName. This operation should restore the associations between the processing rules and the copied linked transport rules. Apply the configuration changes.
  4. If there are other MS Exchange 2010 servers with the Hub Transport Server role installed, read the topic How to Replicate the Configuration Between Multiple DisclaimIt Instances for information about how to make all MS Exchange 2010 servers use the same configuration.

Note If changes to processing rules happened (e.g. creating new ones, renaming existing ones) after deployment of the first MS Exchange 2010 server but before performing the migration of DisclaimIt as described above, the migration process will fail to match by name some or all processing rules to their corresponding transport rules. In this case make an arbitrary change to your configuration and apply the change. DisclaimIt Manager will then create a new linked transport rules for each disconnected processing rule. You must then specify manually the desired conditions on the newly created transport rules by using the MS Exchange 2010 Management Console.

Related Topics

Using DisclaimIt in a Mixed MS Exchange 2007/2010 Environment

How to Replicate the Configuration Between Multiple DisclaimIt Instances


Using DisclaimIt in a Mixed Exchange Environment

Using DisclaimIt in a Mixed Exchange 2007/2010 Environment

In an Exchange organization containing MS Exchange 2007 and MS Exchange 2010 servers, the following applies:

  • Because MS Exchange 2007 and MS Exchange 2010 use different sets of transport rules, the global configuration of DisclaimIt on MS Exchange 2007 servers is different from the global configuration of DisclaimIt on MS Exchange 2010 servers. This means that the configuration of DisclaimIt on MS Exchange 2007 servers must be managed separately from the configuration of DisclaimIt on MS Exchange 2010 servers.
  • If you want to manage the configuration of DisclaimIt on MS Exchange 2007 servers, use DisclaimIt Manager to connect to an MS Exchange 2007 server.
  • If you want to manage the configuration of DisclaimIt on MS Exchange 2010 servers, use DisclaimIt Manager to connect to an MS Exchange 2010 server.

Related Topics

Migrating DisclaimIt from MS Exchange 2007 to MS Exchange 2010

How to Replicate the Configuration Between Multiple DisclaimIt Instances


How to Replicate the Configuration Between Multiple DisclaimIt Instances

IMPORTANT Because the configuration for DisclaimIt on MS Exchange 2007 servers is different from the configuration for DisclaimIt on MS Exchange 2010 servers, only replicate the configuration data between MS Exchange servers of the same version.

If you install and use the DisclaimIt Services on more than one MS Exchange hub transport server, you must make sure that all instances of the DisclaimIt Services use the same configuration, which is stored in files below <InstallDir>\Data\Configuration. The recommended approach to achieve this goal is to perform all configuration changes on a single hub transport server and then replicate the complete content of <InstallDir>\Data\Configuration on this server to all other hub transport servers with DisclaimIt Services installed.

IMPORTANT Make sure that the same version of DisclaimIt is installed on your MS Exchange transport servers.

Two methods to perform this task are now shown in detail: Manual replication by using a batch file and automatic replication by using DFS Replication. The provided examples assume the following scenario: There are three hub transport servers (EXHT1, EXHT2 and EXHT3) and DisclaimIt is installed on these three servers in the directory C:\Program Files\DisclaimIt. Configuration changes are performed in DisclaimIt Manager connected to EXHT1.

Manual replication by using a batch file

Create a batch file with the following two lines:

xcopy \\EXHT1\DisclaimItData\Configuration \\EXHT2\DisclaimItData\Configuration /E /I /R /Y
xcopy \\EXHT1\DisclaimItData\Configuration \\EXHT3\DisclaimItData\Configuration /E /I /R /Y

Execute this batch job after you make any changes to your global configuration or server configurations in DisclaimIt Manager or after you change the content of the directory <InstallDir>\Data\Configuration\Licenses.

Automatic replication by using DFS Replication

If you configure automatic replication by using DFS Replication, any modified configuration file is automatically replicated from the server where the modification happened to all other servers without the need for manual interaction.

Perform the following steps to configure DFS Replication for our scenario:

  1. Install the role service DFS Replication of the role File Services on EXHT1, EXHT2 and EXHT3.
  2. Start the administrative tool DFS Management on EXHT1.
  3. Select the object Replication in the console tree, right-click and select New Replication Group... in the displayed context menu to start the New Replication Group Wizard.
  4. On the Replication Group Type wizard page, select Multipurpose replication group and click Next.
  5. On the Name and Domain wizard page, enter DisclaimItData as the name of the replication group and click Next.
  6. On the Replication Group Members wizard page, add EXHT1, EXHT2 and EXHT3 as members of this replication group and click Next.
  7. On the Topology Selection wizard page, select Full mesh and click Next.
  8. On the Replication Group Schedule and Bandwidth wizard page, select Replicate continuously using the specified bandwidth, set Bandwidth to Full and click Next.
  9. On the Primary Member wizard page, select EXHT1 as primary member and click Next.
  10. On the Folders to Replicate wizard page, add C:\Program Files\DisclaimIt\Data\Configuration as replicated folder and click Next.
  11. On the Local Path of Configuration on Other Members wizard page, select EXHT2 and click Edit.... Set membership status to Enabled and enter C:\Program Files\DisclaimIt\Data\Configuration as local path of folder. Repeat this for EXHT3 and click Next.
  12. On the Review Settings and Create Replication Group wizard page, click Create.
  13. On the Confirmation wizard page, click Close.

Related Topics

Using DisclaimIt in a Mixed MS Exchange 2007/2010 Environment


Processing Rules and Linked Exchange Transport Rules

In previous versions of DisclaimIt (1.x, 2.x, 3.x), a processing rule specified which text modules to add to messages processed by this rule and the conditions (originator filter, recipient filter, etc.) which must be met by a message to be processed by this rule. This version of DisclaimIt leverages the power of MS Exchange transport rules for the evaluation of conditions. A processing rule now specifies only which text modules to add to messages processed by this rule. This implies that for every processing rule there must be a linked MS Exchange transport rule, which must be administered by using the MS Exchange 2007/2010 Management Console.

When you create a new processing rule in your locally cached configuration, it is initially displayed with a status of Disconnected because there is currently no linked transport rule. When you apply your configuration changes, the corresponding transport rules for the newly created processing rules are created.

A linked transport rules created by DisclaimIt has the following properties:

  • Name: DisclaimIt Rule: Processing Rule
  • State: Disabled
  • Conditions: from users inside the organization
  • Actions: set header with value
  • Exceptions: except when the text patterns appears in a message header

After creation of linked transport rules by DisclaimIt you must use the MS Exchange 2007/2010 Management Console to configure them:

  • Change state (enable/disable).
  • Specify conditions if desired.
  • Specify additional exceptions if desired, but do not remove or change the initially configured exception.
  • Change the order of evaluation with regard to other linked transport rules because only the first matching link transport rule defines which processing rule to apply.

IMPORTANT Do not change the configured action (set header with value) or exception (except when the text patterns appears in a message header) of linked transport rules.

Note When a linked transport rule is created by DisclaimIt, it is inserted at the top of all existing transport rules, having the highest priority.

Note When you uninstall DisclaimIt, linked transport rules are not removed. This means that after you install the last instance of DisclaimIt, remove afterwards all MS Exchange transport rules whose names begin with DisclaimIt Rule:.

IMPORTANT To perform transport rule management, you must be an MS Exchange Organization Administrator.

Related Topics

Manage Processing Rules

Processing Rule Properties


Differences between DisclaimIt 4.x and DisclaimIt 3.x

DisclaimIt 4.x was developed from the ground up based on .NET technology to be used in an MS Exchange 2007/2010 environment. While the functionality of DisclaimIt 4.x resembles the functionality of previous versions, there are nonetheless major and minor differences, of which some are shown in the following table:

Feature | Description
Internal domains | In DisclaimIt 4.x, internal domains are no longer specified explicitly but are implicitly specified by the configured Accepted Domains of the MS Exchange organization.
Processing rules | In DisclaimIt 4.x, a processing rule no longer specifies the conditions (Message Directions, Header Fields, Originator Groups, Originator Addresses, Recipient Groups, Recipient Addresses) to be met for the rule to be applied. Every processing rule is linked with an MS Exchange transport rule, on which the desired conditions can be configured. See Processing Rules and Linked Exchange Transport Rules for more information. In addition, journaling functionality has been removed but can be implemented by MS Exchange journal rules, if needed.
Text modules | Text modules in DisclaimIt 4.x allow now for specifying rich text explicitly, distinct from plain text and HTML text. Full formatting capability is available for rich text. Plain text and HTML text can be automatically generated from rich text, if desired. DisclaimIt 4.x no longer supports different text variants for a single text module.
Placement policies | No significant changes.
Administrative contacts | Administrative contacts in DisclaimIt 4.x are now e-mail recipients selected from Active Directory while in previous versions an administrative contact was defined as a display name associated with arbitrary e-mail addresses. Administrative contacts are now configured on the Administrative Contacts Property Page of the Configuration object.

Related Topics

Processing Rules and Linked Exchange Transport Rules

Importing Legacy Configuration

Administrative Contacts Property Page


Importing Legacy Configuration

You can migrate the configuration settings of an installation of DisclaimIt 2.6, 2.7, 3.0, 3.1, 3.2 or 3.3 by importing the configuration file Config.xml, located in <InstallDir>\Data. Due to architectural differences between DisclaimIt 4.x and previous versions of DisclaimIt, not all settings will be migrated, as described below. In addition, eventually used resource files must be copied manually.

Processing Rules
Only the action settings, specifying which text modules to add, will be migrated. All condition settings (Message Directions, Header Fields, Originator Groups, Originator Addresses, Recipient Groups, Recipient Addresses) are not migrated.

IMPORTANT When you apply the imported configuration, a linked MS Exchange transport rule is created for each migrated processing rule. All these created linked MS Exchange transport rules are initially disabled and have no conditions set. You must afterwards edit these linked MS Exchange transport rules by manually specifying the conditions which should apply, before enabling these linked MS Exchange transport rules.

Text Modules
All settings of text modules are migrated.
Placement Policies
All settings of placement policies are migrated.
Administrative Contacts
If a recipient in Active Directory has the e-mail address of an administrative contact to import, the recipient is added as an administrative contact, otherwise the e-mail address of an administrative contact to import is ignored.

If text modules of the legacy configuration to import reference resource files (attachments, images, include files), you must manually copy those files from the old locations to the new locations, as shown in the following table:

DisclaimIt 2.x, 3.x | DisclaimIt 4.x
<InstallDir>\Attachments | <InstallDir>\Data\Configuration\Resources\Attachments
<InstallDir>\Images | <InstallDir>\Data\Configuration\Resources\Images
<InstallDir>\Include | <InstallDir>\Data\Configuration\Resources\Includes

Related Topics

Processing Rules and Linked Exchange Transport Rules

Differences between DisclaimIt 4.x and DisclaimIt 3.x

Import Legacy Configuration Dialog


Backing Up and Restoring the Configuration

The configuration consists of XML-files, license certificate files and resource files (attachments, images, includes). All these files are stored in directories below the directory <InstallDir>\Data\Configuration, which is usually located below the product installation directory. To backup the configuration, you must copy the directory <InstallDir>\Data\Configuration with all its content to a backup location. To restore the configuration, copy the saved content of the directory <InstallDir>\Data\Configuration to its original location.


Configuring Administrative Access Permissions

The DisclaimIt Manager manages the configuration of a MS Exchange Hub Transport Server with DisclaimIt Services installed by locally or remotely accessing the content below the directory Data through the network share DisclaimItData. By default, only the domain administrators are configured with Full Control permission on this network share. If you want to allow other users or groups to manage the configuration, you must add those with at least Change permission to the network share.

Note Depending on the users or groups you want to allow to manage the configuration, it may also be necessary to assign corresponding NTFS permissions to the directory Data.

IMPORTANT Notwithstanding the permissions assigned to the network share, to create and delete processing rules and to manage the linked MS Exchange Transport Rules, you must be an MS Exchange Organization Administrator.


How to Configure Support for Messages with Non-Standard MAPI Identifiers

DisclaimIt assigns MAPI messages to a specific message class (Note, Oof, Meeting, Recall, Task, Form) based on the class identifier of the MAPI message, e.g. IPM.Note. In case that your messaging environment makes use of MAPI messages with non-standard class identifiers, DisclaimIt may ignore such messages because of the unknown class identifiers. In this case it is necessary to explicitly declare these non-standard class identifiers as indicating a specific message class.

To declare such custom MAPI identifiers, you must edit the global configuration file (<InstallDir>\Data\Configuration\Settings\Global.xml) directly by using a text editor because DisclaimIt Manager provides no UI support for viewing or changing this configuration setting:

  1. Open the global configuration file with a text editor
  2. Locate the following section at the end of the file:
    <MessageClassSettings>
    <MessageClass Name="Note" CustomMAPIIdentifiers="" />
    <MessageClass Name="Oof" CustomMAPIIdentifiers="" />
    <MessageClass Name="Meeting" CustomMAPIIdentifiers="" />
    <MessageClass Name="Recall" CustomMAPIIdentifiers="" />
    <MessageClass Name="Task" CustomMAPIIdentifiers="" />
    <MessageClass Name="Form" CustomMAPIIdentifiers="" />
    </MessageClassSettings>
  3. Specify the custom MAPI identifier(s) as the value of the parameter CustomMAPIIdentifiers for the appropriate message class. In case of more than one custom identifier for the same message class, separate them by semicolons (;). Let's assume you want to specify the custom MAPI identifier IPM.Note.Default for the message class Note. In this case the relevant XML element will have to be changed to <MessageClass Name="Note" CustomMAPIIdentifiers="IPM.Note.Default" />.
  4. Save your changes.


Using Advanced Features of Text Modules

Using Text Modules

This topic contains information about how to use text modules.

This section contains:

  • Message Text, Character Sets and Unicode Text: Describes the mapping from the Unicode text of a text module to the text of a message which uses a specific character set.
  • Using Print Directives in Text Modules: Describes how to use print directives in text modules to dynamically include text.
  • Specifying Inline Image Files in HTML Text: Describes how to specify embedded (inline) graphics files in HTML text.
  • How to Configure User Signatures: Describes how to use print directives to generate user signatures.
  • Utilizing vCards: Describes how to use vCard mapping files to create and add vCards to messages.


Message Text, Character Sets and Unicode Text

The plain and HTML text of an SMTP message is encoded using a specific character set, e.g. us-ascii, iso-8859-1, iso-2022-jp. The plain text and HTML text of a text module is always in Unicode. When the plain text or HTML text of a text module is added to the text of a message, the character set of the message text is never changed. This implies that the Unicode text of the text module must be mapped to the character set used for encoding the text of the message. This mapping can cause undesired effects. For example, if the text of the text module contains accented letter (e.g. á, ó, ù), but the character set used by the message text is us-ascii, the mapping process will cause the accented letters to be replaced by similar letters (e.g. a, o, u), which can be represented in the target character set. Even worse, other Unicode characters without a possible representation in the target character set will simply be replaced by questions marks (?).

One way to prevent this problem is to make sure that the character set used for the message text is able to correctly represent the text of the text module. The character set used by the message text is usually dependent on settings of the mail client (e.g. using MS Outlook and sending plain text or HTML text messages), but under specific circumstances (e.g. the MS Outlook mail client sends a Rich Text message which is converted to an SMTP message by the MS Exchange server), the configuration of the mail server determines the character set used for the message text.

Another solution would be to use in the text of a text module only characters which can be represented in almost all character sets, e.g. use only characters from the character set us-ascii.

For the HTML text (HTML source code) of a text module, the preferred solution is to replace non-us-ascii characters with their HTML encoding, e.g. to use &uuml; instead of ü.

IMPORTANT Outlook 2003/2007 in its default configuration will not use the configured encoding, for example: Western European (ISO), in case that the message text contains only US-ASCII characters, but will use the encoding US-ASCII for the message to send. When then DisclaimIt adds the disclaimer text which contains Umlaute, they are converted to their possible representation in US-ASCII (e.g.: ä -> a, ö -> o, ü -> u, etc. ). The solution for this problem is to configure Outlook 2003/2007 to always use the specified encoding, for example: Western European (ISO). This can be configured by unchecking the check box Auto select encoding for outgoing messages in the dialog Tools->Options->Mail Format->International Options. This setting can also be centrally configured by group policy.

Related Topics

Text Module - Plain Text Property Page

Text Module - HTML Text Property Page


Using IncludeOriginatorAttribute Directives in Text Modules

Using Print Directives in Text Modules

Both the plain text and the HTML text of a text module can contain print directives somewhere in the text. The print directives can be used to dynamically include text into the text of a text module when it is added to a message. The source of the text to include can be a text file, a message property or an Active Directory (AD) attribute of the originator of the message.

Related Topics

Text Module - Rich Text Property Page

Text Module - Plain Text Property Page

Text Module - HTML Text Property Page

Add Print Directive Dialog

Print Directives


Specifying Inline Image Files in HTML Text

Images can be specified as part of the HTML text of a text module by using the <IMG ...> element, for example:

<IMG SRC="http://www.netal.com/images/disclaimit.gif">

In this case, the SRC attribute specifies the absolute URL of a graphic file that itself is not contained (embedded) in the message. When the recipient of the message views the message content, his mail client will try to load the graphic file from the remote location specified by the absolute URL.

Some companies don't allow unrestricted access from the intranet to Internet resources and in those environments the mail clients may fail to retrieve the remote graphics files for displaying purposes. In addition, very often mail clients don't show remote graphics files by default.

It's therefore preferable to specify images as embedded (inline) graphics files. In this case, the graphic file referenced in the HTML text will be sent as attachment contained in the message and can then be rendered by the recipient's mail client without further problems.

To specify images as embedded (inline) graphics files, you must use the following syntax for the <IMG ...> element:

<IMG SRC="images/ImageFileName">

or, alternatively

<IMG SRC="inline:ImageFileName">

where ImageFileName is the file name of the graphic file.

Examples:

<IMG SRC="images/disclaimit.gif">
<IMG SRC="inline:disclaimit.gif">

IMPORTANT All graphics files to be included in messages as inline image files must be located in the directory <InstallDir>\Data\Configuration\Resources\Images.

Note Depending on your formatting needs, it may be necessary to add other attributes (e.g. HEIGHT, WIDTH, ALT, etc.) to the IMG element. In this case, the values of those other attributes must also be enclosed in double quotes. Example: <IMG SRC="images/disclaimit.gif" WIDTH="152" HEIGHT="69">

Note In case that you want to use a text module whose HTML text contains only the inline image definition: Such a the text module may not be added to messages because it contains only HTML tags and the duplicate text detection uses only visible text. Because the visible text is empty, the text module seems already to be part of the message and the text module is therefore not added. To help in this situation, a special processing instruction is available: Words within an HTML comment which start with a $-character are also considered during the duplicate text detection. This means that you must add something like the following to your HTML text:

<!-- $CompanyLogo1 -->

Just make sure that the text you specify (e.g. CompanyLogo1) is as unique as possible and that it will usually not occur in message texts.

Related Topics

Text Module - HTML Text Property Page

Add Inline Image Element Dialog


How to Configure User Signatures

One of the most powerful features of DisclaimIt is its support for automatically adding user signatures to messages, without the need for client based configurations because the processing happens solely at the server. This topic explains in detail all the steps necessary to use this feature.

User signatures can be implemented by a single text module, whose plain and HTML texts contain a number of print directives. Those print directives specify which attributes of the user object to read from Active Directory (AD) and put into the text that will be added to the message. It's important to note that DisclaimIt reads AD attributes by performing queries against a Global Catalog (GC) server. This implies that only attributes from the partial attribute set (PAS) that is replicated to GC servers can be used, and that a GC server should be available in the local site.

Let's assume that we want our user signatures to contain the following information in the displayed layout:

User's Display Name
Job Title
Company

Phone: Phone Number
FAX: Fax Number
Mobile: Mobile Phone Number
E-Mail Address
WWW-URL

Italic text indicates attribute data of the sender of a message. Those attribute data which will be read from the AD user object of the sender when the text module is added to a message.

For the sake of simplicity, the information elements Company and WWW-URL will be specified as static text, because usually only a single company is hosted in an AD forest. But if needed, as in multiple company hosting scenarios, this information can also be dynamically read from the AD user object. Some of you may also be interested in including the postal address of the company in the signature text. This can be done either by specifying static text or again by specifying the relevant attributes of the AD user object.

For the plain text portion of the text module, the following text would achieve the desired result:

{#Print Class="OA" Name="displayName"}
{#Print Class="OA" Name="title"}
My Fictitious Company, Inc.

Phone: {#Print Class="OA" Name="telephoneNumber"}
FAX: {#Print Class="OA" Name="facsimileTelephoneNumber"}
Mobile: {#Print Class="OA" Name="mobile"}
{#Print Class="OA" Name="mail"}
www.myfictitiouscompany.com

But there's one problem: If the title attribute is not set on the user's AD object, an empty line would be visible between the user's display name and the company name. Or let's assume that the user has no mobile phone number, then the text line Mobile: without a number would be visible. To counter this problem, we use an advanced feature of the #print directive: conditional text processing. Only when possibly empty attributes are not empty, do we want to print optional static text, the attribute's value and the line break. This is the final result:

  {#Print Class="OA" Name="displayName"}
{#Print Class="OA" Name="title" Pattern=".+" IfMatch="$*\r\n"}My Fictitious
  Company, Inc.

{#Print Class="OA" Name="telephoneNumber" Pattern=".+" IfMatch="Phone:
  $*\r\n"}{#Print Class="OA" Name="facsimileTelephoneNumber" Pattern=".+"
  IfMatch="FAX: $*\r\n"}{#Print Class="OA" Name="mobile" Pattern=".+"
  IfMatch="Mobile: $*\r\n"}{#Print Class="OA" Name="mail"}
www.myfictitiouscompany.com

For the HTML text portion of the text module, some changes are needed because we must take care of HTML formatting tags and in addition, we want to display the e-mail address and WWW-URL as hyperlinks:

  <BR>
{#Print Class="OA" Name="displayName"}<BR>
{#Print Class="OA" Name="title" Pattern=".+" IfMatch="$*<BR>"}
My Fictitious Company, Inc.<BR>
<BR>
{#Print Class="OA" Name="telephoneNumber" Pattern=".+" IfMatch="Phone:
  $*<BR>"}
{#Print Class="OA" Name="facsimileTelephoneNumber" Pattern=".+" IfMatch="FAX:
  $*<BR>"}
{#Print Class="OA" Name="mobile" Pattern=".+" IfMatch="Mobile: $*<BR>"}
<a href="mailto:{#Print Class="OA" Name="mail"}">{#Print Class="OA"
  Name="mail"}</a><BR>
<a href="http://www.myfictitiouscompany.com">www.myfictitiouscompany.com</a><BR>
<BR>

The displayed result will, of course, only show a very simple layout - it's left to you to beautify it by adding other HTML formatting tags to change the font, add a logo, use different colors, etc.

Related Topics

Text Module - Rich Text Property Page

Text Module - Plain Text Property Page

Text Module - HTML Text Property Page

Add Print Directive Dialog

Print Directives


Utilizing vCards

vCard is a standard for electronic business cards. There are currently two specifications: Version 2.1 and version 3.0 (RFC 2425 and RFC 2426). Almost all e-mail clients support version 2.1, while version 3.0 is not as widely supported by e-mail products. Because Microsoft Exchange and Outlook support only version 2.1, DisclaimIt will create vCards based on version 2.1.

When you select a vCard mapping file in a text module and such a text module is added to a message, DisclaimIt will create a vCard based on the selected mapping file and add it as an attachment to the message. A vCard mapping file specifies which properties of the sender's Active Directory object are used to populate the properties of the vCard to create and add to messages.

DisclaimIt ships with a single vCard mapping file named default.xml. This mapping file specifies that the name of the vCard attachment will be DisplayName.vcf and that the following properties of the sender's Active Directory object will be used to populate the properties of the vCard:

  • First name
  • Last name
  • Office
  • Telephone number
  • E-mail
  • Street
  • P.O. Box
  • City
  • State/province
  • Zip/Postal Code
  • Country/region
  • Home phone
  • Pager
  • Mobile phone
  • Fax
  • Notes
  • Title
  • Department
  • Company

If you do not want some properties of the sender (e.g. Home phone) to be contained in the resulting vCard, you can modify this mapping file but we recommend that you copy it and edit the copy if you want to make any changes. The XML content of the vCard mapping file is more or less self-explanatory, but if you are not familiar with the vCard v2.1 specification, we suggest that you contact us in case that you need any help in modifying a vCard mapping file.

Related Topics

Text Module - vCard Property Page


Using Placement Policies

This topic contains information about how to use placement policies.

This section contains:

  • Specifying Advanced Placement Settings for Text Modules by Using Placement Policies: Describes how placement policies can be used to control if and where the text of text modules should be added.
  • How to Insert Text Before the Replied or Forwarded Text of a Message: Describes and provides working regular expressions for use in placement policies to insert the text of a text module before the replied or forwarded text of a message.


Specifying Advanced Placement Settings for Text Modules by Using Placement Policies

When a text module is referenced by a processing rule, it is also associated with a specific placement policy. The text placement settings of a placement policy allows the specification of advanced placement settings for the rich text, plain text and HTML text of the associated text module:

If the text of the text module should not be added to a message, in case that the text of the text module is already contained in the original message text:

Usually it is desired that the text of a text module is not added again, should the text already be part of the original message text, which can be caused by message chains (reply to a reply ...). To configure that the text of a text module is not added again, enable the check box Don't add text if it's already contained in the original message text on the Settings Property Page of the placement policy that is associated with the text module in question on the Action Property Page of the processing rule.

If the text of the text module should not be added to a message, in case that a specific text string is already contained in the original message text:

Sometimes it may be desirable that the sending user can control if the text of a text module should be added or not. This can be configured by enabling the check box Don't add text if expression matches the original message text and specifying a regular expression as search pattern on the Settings Property Page of the placement policy that is associated with the text module in question on the Action Property Page of the processing rule. If enabled, the original message text will be searched for a match with the specified search pattern. If a match is found, the text of the text module will not be added to the message.

If and where the text of the text module should be inserted into the original message text, or if it should be prepended or appended to the original message text:

When the check box Insert text into original message text on the Settings Property Page is disabled, the plain/HTML text of the associated text module will be added to the message based on its default location: It will be added either before or after the original message text, depending on the order of entries on the Action Property Page of the processing rule.

If you want the text of a text module to be inserted into the original message text, you must enable the check box Insert text into original message text on the Settings Property Page and specify a search pattern, an action and a location. The search pattern is a regular expression that will be used for searching the original message text. If a match is found, the action specifies where in relation to the matched text (=location) the text of the text module will be inserted. Should no match be found, the text of the text module will not be added to the message, unless the check box Add text at default location if no match is found is enabled.

This feature may be used to add a signature/disclaimer after the new text but before the replied text. To achieve this goal, you must analyze how the e-mail client software used in your environment separates new and replied text (e.g. by inserting the text line "-----Original Message-----"), and then craft a regular expression that is able to capture the separator text. For more information please read the topic How to Insert Text Before the Replied or Forwarded Text of a Message.

Note In case of HTML message text, the text that will be searched is the HTML source code of the original message text, located between (but not including) the HTML elements <Body> and </Body>.

Related Topics

Placement Policy - Text Placement Property Page

Regular Expressions

How to Insert Text Before the Replied or Forwarded Text of a Message


How to Insert Text Before the Replied or Forwarded Text of a Message

By default, the text of a text module will be prepended or appended to the original message text, depending on the location of the text module in relation to the entry Original Message Text on the Action Property Page of a processing rule. Sometimes it may be desirable to insert the text of a text module at a specific location into the original message text, for example between the replied or forwarded text and the newly written one. But implementing this feature remains a challenge for most users because it means dealing with regular expressions. Especially in case of HTML messages, very complex regular expressions are needed for a successful implementation. This topic explains how to implement this feature and provides examples of regular expressions for supporting e-mail clients usually used.

To find the location in the message text where the newly written text ends and the replied or forwarded text begins is not an easy task: There's no information in the message format itself, like special control characters, etc., which indicate the border between the newly written text and the replied or forwarded text, it's all just one stream of text. It's therefore necessary to perform text analysis to locate the border, by searching for a sequence of characters which uniquely identifies the border. What complicates this task even more is that different e-mail clients and languages used generate different text strings as border signatures.

Let's start with plain text and rich-text messages. When Outlook or OWA is used to reply or forward a plain text message, a line break and the string -----Original Message----- is inserted before the replied or forwarded text. Outlook Express inserts a line break and the string ----- Original Message ----- (note the spaces before and after Original Message). Depending on the configuration of Outlook or Outlook Express, the character >, followed by a space, may be used as prefix. When Outlook 2000 is used to reply or forward a rich-text message, a line break followed by a space character and the string -----Original Message----- is inserted before the replied or forwarded text. When Outlook 2003 is used to reply or forward a rich-text message, a line break followed by the string ____________ is inserted before the replied or forwarded text. The regular expression able to capture all six cases is:

\r\n((> )? ?----- ?Original Message ?-----|____________)

Now let's assume that the users in your company use English and German versions of e-mail clients. In this case the following regular expression could be used:

\r\n((> )? ?----- ?(Original Message|Ursprüngliche Nachricht) ?-----|____________)

Please use the regular expression shown below to cover usual configurations of the English and German versions of the following clients: Outlook 2000/2002/2003/2007/2010, OWA 2003/2007/2010, Android-based smartphones, IPhones, Blackberry devices.

\r\n((> )? ?----- ?(Original Message|Ursprüngliche Nachricht) ?-----|____________|On\s+\d?\d\s+\w\w\w\s+20\d\d,\s+at\s+\d\d:\d\d,\s+"|Am\s+\d?\d\.\d?\d\.20\d\d\s+um\s+\d\d:\d\d\s+schrieb\s+"|Begin\s+forwarded\s+message:|Anfang\s+der\s+weitergeleiteten\s+E.Mail:)

To configure your placement policy accordingly, select the Text Settings Property Page, enable the check box Insert text into original message text and enter the appropriate regular expression in the edit field Search pattern. Select Insert Before in the combo box Action and $& in the combo box Location. You should also make sure that the check box Add text at default location if no match is found is enabled, because usually you'll want to add the text at the default location if no match is found, which will be the case for new messages which do not contain replied or forwarded text.

For HTML text messages things become much more complex because the regular expression to be used must deal with HTML source code and different e-mail clients (and sometimes even different versions of the same e-mail client) generate different border signatures. The regular expression shown below works for usual configurations of the English and German versions of the following clients: Outlook 2000/2002/2003/2007/2010, OWA 2003/2007/2010, Android-based smartphones, IPhones, Blackberry devices.

(<(DIV|div|BR|br|P|p)(>|\s+[^>]*>)\s*)*(<(HR|hr)[^>]*>|(<BLOCKQUOTE[^>]*>\s*)?(<DIV>\s*</DIV>\s*)?<DIV\s+[^>]*class=OutlookMessageHeader[^>]*>|(<BLOCKQUOTE[^>]*>\s*)?<DIV[^>]*>\s*-----\s?(Original\s+Message|Ursprüngliche\s+Nachricht)\s?-----|<p\s+[^>]*class="?(MsoNormal|MsoPlainText)"?[^>]*>\s*(<font[^>]*>\s*)?(<span[^>]*>\s*)?-----\s?(Original\s+Message|Ursprüngliche\s+Nachricht)\s?-----|<p\s+[^>]*class="?(MsoNormal|MsoPlainText)"?[^>]*>\s*(<b>\s*)?(<span[^>]*>\s*)?(From|Von):|<div\s+[^>]*class=MsoNormal[^>]*>\s*(<font[^>]*>\s*)?(<span[^>]*>\s*)?<hr[^>]*>|<div\s+[^>]*style=["']border:none;border-top:solid[^>]*>|<div\s+[^>]*style=["']border-width:\s*1pt\s+medium\s+medium[^>]*>|<FONT[^>]*>\s*_______________________|(<font[^>]*>\s*)*-----\s?(Original\s+Message|Ursprüngliche\s+Nachricht)\s?-----|<DIV\s+[^>]*class=OutlookMessageHeader[^>]*>\s*(<FONT[^>]*>\s*)?-----\s?(Original\s+Message|Ursprüngliche\s+Nachricht)\s?-----|<span\s+id="OLK_SRC_BODY_SECTION">|<br>\s*On\s+(\d?\d\s+\w\w\w\s+|\d?\d.\d?\d.)20\d\d,\s+at\s+\d?\d:\d\d(\s+[AaPp][Mm])?,\s+|<br>\s*Am\s+\d?\d\.\d?\d\.20\d\d\s+um\s+\d\d:\d\d\s+schrieb\s+|<br>\s*Begin\s+forwarded\s+message:|<br>\s*Anfang\s+der\s+weitergeleiteten\s+E.Mail:|<br>\s*-------- (Original\s+message|Ursprüngliche\s+Nachricht) --------|<br>\s*[^<]*&lt;[^<]*&gt;[^<]*wrote:<br>|(<table[^>]*>\s*<tbody>\s*<tr>\s*<td\s+id="_persistentHeaderContainer"[^>]*>\s*)?<div\s+id="_persistentHeader"[^>]*>)

Note The default configuration contains a placement policy named Insert Into, which is configured with the regular expressions supporting English and German clients mentioned above.

Related Topics

Placement Policy - Text Placement Property Page

Regular Expressions

Specifying Advanced Placement Settings for Text Modules by Using Placement Policies


Administrator’s Reference

Welcome to the Administrator’s Reference topic. This section provides detailed information about administrative activities and configuration properties for DisclaimIt objects. Use this information as a reference for administrative activities.

This section contains:

  • Managing DisclaimIt Objects Using DisclaimIt Manager: Help topic content for administrative activities using DisclaimIt Manager.
  • DisclaimIt Manager Property Sheets: Help topic content for all property sheets in the DisclaimIt Manager.
  • DisclaimIt Manager Dialogs: Help topic content for all dialogs in the DisclaimIt Manager.
  • DisclaimIt Manager Special UI Elements: Help topic content for all special UI elements in the DisclaimIt Manager.
  • Activity Log File Format: Help topic content describing the format of message processor activity log files.
  • Regular Expressions: Help topic content describing regular expressions.
  • Print Directives: Help topic content describing print directives.
  • Performance Counters: Help topic content describing the provided performance counters.


Managing DisclaimIt Objects Using DisclaimIt Manager

This section contains:

  • Manage Configuration: Description of administrative activities for the global configuration.
  • Manage Licenses: Description of administrative activities for licenses.
  • Manage Placement Policies: Description of administrative activities for placement policies.
  • Manage Processing Rules: Description of administrative activities for processing rules.
  • Manage Servers: Description of administrative activities for Hub Transport Servers.
  • Manage Text Modules: Description of administrative activities for text modules.


Manage Configuration

The global configuration consists of processing rules, text modules, placement policies and administrative contacts. Changes to the global configuration are cached locally and are not effective for the DisclaimIt Services till you apply the configuration changes.

Import Legacy Configuration
  1. Select the Configuration node.
  2. On the Action menu, select Import Legacy Configuration..., or right-click and select Import Legacy Configuration... to show the Import Legacy Configuration Dialog.

    Note The Import Legacy Configuration... menu item will only be available for activation if the configuration has not been changed.
Apply configuration changes
  1. Select the Configuration node.
  2. On the Action menu, select Apply Changes, or right-click and select Apply Changes.

    Note The Apply Changes menu item will only be available for activation if the configuration has been changed.
Discard configuration changes
  1. Select the Configuration node.
  2. On the Action menu, select Discard Changes, or right-click and select Discard Changes.

    Note The Discard Changes menu item will only be available for activation if the configuration has been changed.
Configure the properties of the global configuration
  1. Select the Configuration node.
  2. On the Action menu, select Properties, or right-click and select Properties.
  3. Configure its properties on the Configuration Property Pages.

Related Topics

Manage Processing Rules

Manage Text Modules

Manage Placement Policies

Configuration Properties

Import Legacy Configuration Dialog

Importing Legacy Configuration


Manage Licenses

View the properties of a license
  1. Select the license for which you want to view its properties.
  2. Click the Properties button, or, on the Action menu, select Properties, or right-click and select Properties.
  3. View its properties on the License Property Pages.

Related Topics

Licenses

License Properties


Manage Placement Policies

Placement policies specify if and where the texts of a text module will be added to a message, dependent on properties of the original message text.

Create a placement policy
  1. Select the Placement Policies node.
  2. On the Action menu, select New Placement Policy..., or right-click and select New Placement Policy....
  3. On the New Placement Policy dialog, enter its name and click OK.
Copy a placement policy
  1. Select the placement policy you want to copy.
  2. On the Action menu, select Copy, or right-click and select Copy.
Rename a placement policy
  1. Select the placement policy you want to rename.
  2. On the Action menu, select Rename, or right-click and select Rename.
  3. Change the placement policy name in the edit field and then press Enter.
Configure the properties of a placement policy
  1. Select the placement policy you want to configure.
  2. Double-click, or, on the Action menu, select Properties, or right-click and select Properties.
  3. Configure its properties on the Placement Policy Property Pages.
Delete a placement policy
  1. Select the placement policy you want to delete.
  2. Click the Delete button, or, on the Action menu, select Delete, or right-click and select Delete.
  3. Confirm the deletion of the placement policy.

Related Topics

Placement Policy Properties


Manage Processing Rules

Processing rules specify which text modules are applied to which e-mail messages.

Match disconnected processing rules by name
  1. Select the Processing Rules node.
  2. On the Action menu, select Match Disconnected Processing Rules by Name, or right-click and select Match Disconnected Processing Rules by Name to map disconnected processing rules to transport rules with the name DisclaimIt Rule: ProcessingRuleName

    Note The Match Disconnected Processing Rules by Name menu item will only be available for activation if there is at least one disconnected processing rules.
Create a processing rule
  1. Select the Processing Rules node.
  2. On the Action menu, select New Processing Rule..., or right-click and select New and then New Processing Rule....
  3. On the New Processing Rule dialog, enter its name and click OK.
Copy a processing rule
  1. Select the processing rule you want to copy.
  2. On the Action menu, select Copy, or right-click and select Copy.
Rename a processing rule
  1. Select the processing rule you want to rename.
  2. On the Action menu, select Rename, or right-click and select Rename.
  3. Change the processing rule name in the edit field and then press Enter.
Configure the properties of a processing rule
  1. Select the processing rule you want to configure.
  2. Double-click, or, on the Action menu, select Properties, or right-click and select Properties.
  3. Configure its properties on the Processing Rule Property Pages.
Delete a processing rule
  1. Select the processing rule you want to delete.
  2. Click the Delete button, or, on the Action menu, select Delete, or right-click and select Delete.
  3. Confirm the deletion of the processing rule.

IMPORTANT Creating, copying, renaming and deleting a processing rule in the locally cached configuration will initially succeed even if you are not an MS Exchange Organization Administrator. But when you later try to apply the configuration changes, those changes will be discarded unless you are an MS Exchange Organization Administrator.

Related Topics

Processing Rule Properties


Manage Servers

Server objects in the DisclaimIt Manager represent the MS Exchange 2007/2010 servers with the Hub Transport Server role installed in your MS Exchange organization, no matter if DisclaimIt Services is installed or not on the Hub Transport servers.

Configure the properties of a server
  1. Select the server you want to configure.
  2. Click the Properties button, or, on the Action menu, select Properties, or right-click and select Properties.
  3. Configure its properties on the Server Property Pages.

Related Topics

Server Properties


Manage Text Modules

Text modules specify the plain text and HTML text which is added to e-mail messages.

Create a text module
  1. Select the Text Modules node.
  2. On the Action menu, select New Text Module..., or right-click and select New Text Module....
  3. On the New Text Module dialog, enter its name and click OK.
Copy a text module
  1. Select the text module you want to copy.
  2. On the Action menu, select Copy, or right-click and select Copy.
Rename a text module
  1. Select the text module you want to rename.
  2. On the Action menu, select Rename, or right-click and select Rename.
  3. Change the text module name in the edit field and then press Enter.
Configure the properties of a text module
  1. Select the text module you want to configure.
  2. Double-click, or, on the Action menu, select Properties, or right-click and select Properties.
  3. Configure its properties on the Text Module Property Pages.
Delete a text module
  1. Select the text module you want to delete.
  2. Click the Delete button, or, on the Action menu, select Delete, or right-click and select Delete.
  3. Confirm the deletion of the text module.

Related Topics

Text Module Properties


DisclaimIt Manager Property Sheets

The following section describes how you should use the property sheets to properly configure DisclaimIt. The information provided reflects the context-sensitive Help that is provided for all property sheets. You can also access this information by clicking the Help button on any property sheet.

Note The information presented in this section is context-sensitive; that is, many concepts and procedures described in this section relate directly to specific actions that can be carried out in DisclaimIt Manager. The topics are not intended to be read as a stand-alone reference.

Viewing Property Sheets

To view property sheets in DisclaimIt Manager, select the item you are interested in and then click the Properties button, or, on the Action menu, select Properties. You can also right-click an item and select Properties.

This section contains:

  • Configuration Properties: Property sheet used to configure the properties of the global configuration.
  • License Properties: Property sheet used to view product license information.
  • Placement Policy Properties: Property sheet used to configure the properties of a placement policy.
  • Processing Rule Properties: Property sheet used to configure the properties of a processing rule.
  • Server Properties: Property sheet used to view and configure the server properties.
  • Text Module Properties: Property sheet used to configure the properties of a text module.


Configuration Properties

The Configuration property sheet consists of:

  • General Property Page: Used for viewing properties of the global configuration.
  • Administrative Contacts Property Page: Used for specifying the administrative contacts which will be notified by e-mail messages of critical errors, license violations and license expiration.
  • Message Classes Property Page: Used for specifying the default settings for the message class filter of placement policies.


Configuration - General Property Page

Use this property page to view information about the global configuration.

Related Topics

Manage Configuration


Configuration - Administrative Contacts Property Page

Use this property page to specify the administrative contacts which should be notified by e-mail of critical errors and license management events.

Administrative Contacts
You use this list box to specify which administrative contacts should be notified by e-mail of critical errors and license management events.
Add
Use this button to display the Select Recipients dialog to add one or e-mail recipients from Active Directory as administrative contacts.
Remove
Use this button to remove the selected administrative contacts from the list.

Related Topics

Manage Configuration


Configuration - Message Classes Property Page

Use this property page to specify the default settings for the message class filter of placement policies. These settings can be overridden per placement policy (Placement Policy - Message Classes Property Page). A text module associated with a placement policy to which these settings apply will only be added to a message if the message class of the message is one of the enabled message classes.

The following message classes are supported:

  • Standard e-mail messages
  • Out of office messages
  • Meeting requests/responses
  • Message recall requests/responses
  • Task requests/responses
  • Custom form messages

Related Topics

Placement Policy - Message Classes Property Page

Manage Configuration


License Properties

The License property sheet consists of:

  • General Property Page: Used for viewing the properties of a license.


License - General Property Page

Use this property page to view the properties of the product license.

ID
Specifies the ID of the license.
Type
The value of this property is either Evaluation for a time-limited trial license or Customer for a customer license.
Users
The value of this property is the number of users covered by this license. A user is defined as the originator of an e-mail message which is processed by DisclaimIt.
Issuing date
The value of this property is the creation date of this license.
Expiration date
The value of this property is the expiration date for of this license.
Licensee
The value of this property is the name of the licensee for whom this license was issued.
Reseller
The value of this property is the name of the reseller who sold this license to the licensee.
GUID
Specifies the globally unique identifier for this license.
Filename
The value of this property is name of the license certificate file which contains the license data.

Related Topics

Licenses

Manage Licenses


Placement Policy Properties

The Placement Policy property sheet consists of:

  • General Property Page: Used for specifying the name and an optional description for the placement policy.
  • Text Placement Property Page: Used for specifying the text related settings of the placement policy settings.
  • Date Range Property Page: Used for specifying the date range settings of the placement policy.
  • Message Classes Property Page: Used for specifying the message class filter settings of the placement policy.


Placement Policy - General Property Page

Use this property page to define or modify the name and an optional description for the placement policy.

Name
Use this text box to specify the name for the placement policy. This name must be unique among all placement policy objects.
Description
Use this text box to specify a description for the placement policy. This information element is optional and has no functional relevance.

Related Topics

Manage Placement Policies


Placement Policy - Text Placement Property Page

Use this property page to define or modify settings which specify if and where the text of a text module will be added to a message, dependent on properties of the original message text.

Don't add text if it's already contained in the original message text
Use this check box to prevent adding the text of a text module to e-mail messages which already contain the text of the text module in their body.
Don't add text if expression matches the original message text
Use this check box to prevent adding the text of a text module to e-mail messages when the search expression matches the original message text.
Rich & plain text
Use this text box to specify a regular expression that will be matched against the rich text or plain text body of the message.

Note The regular expression is interpreted case-sensitive by default. You can override this behavior in the expression itself.

HTML text
Use this text box to specify a regular expression that will be matched against the HTML source code of the HTML body of the message.

Note The regular expression is interpreted case-sensitive by default. You can override this behavior in the expression itself.

Insert text into original message text
Use this check box to enable inserting the text of a text module that uses this placement policy into the original message text, not before or after the original message text as specified by the default location of the text module.
Search pattern
Use this text box to specify a regular expression that will be used for searching the original message text.

Note The regular expression is interpreted case-sensitive by default. You can override this behavior in the expression itself.

Action
Use this combo box to specify if the text of a text module that uses this placement policy should be inserted before or after or replace the text specified by the Location expression, in case a match was found.
Location
Use this combo box to specify where the specified Action will take place, in case a match was found. You can select either:

$& - The text matched by the Search pattern.

$1 .. $99 - The text matched by the 1st .. 99th set of capturing parentheses contained in the Search pattern.

Add text at default location if no match is found
Use this check box to specify if the text of a text module that uses this placement policy should be added at its default location or if it should not be added to the message, if no match is found.

Related Topics

Specifying Advanced Placement Settings for Text Modules by Using Placement Policies

Manage Placement Policies

Regular Expressions


Placement Policy - Date Range Property Page

Use this property page to define a date range condition, which, if enabled, will cause associated text modules to be added to a message only if the message is processed within the specified date range.

Add text only if message is processed within the following date range
Use this check box to enable the date range condition.
From
Use this date picker control to specify the start date of the date range.
To
Use this date picker control to specify the end date of the date range.

Related Topics

Specifying Advanced Placement Settings for Text Modules by Using Placement Policies

Manage Placement Policies


Placement Policy - Message Classes Property Page

Use this property page to specify the enabled message classes for this placement policy. A text module associated with this placement policy will only be added to a message if the message class of the message is one of the enabled message classes.

Use defaults
Use this check box to specify that the default settings (Configuration - Message Classes Property Page) should apply to this placement policy.

The following message classes are supported:

  • Standard e-mail messages
  • Out of office messages
  • Meeting requests/responses
  • Message recall requests/responses
  • Task requests/responses
  • Custom form messages

Related Topics

Configuration - Message Classes Property Page

Manage Placement Policies


Processing Rule Properties

The Processing Rule property sheet consists of:

  • General Property Page: Used for specifying the name and an optional description for the processing rule.
  • Action Property Page: Used for specifying which text modules to add.
  • Diagnostics Property Page: Used for specifying diagnostics settings.


Processing Rule - General Property Page

Use this property page to define or modify the name and an optional description for the processing rule.

IMPORTANT To specify filter criteria for a processing rule, you must configure the associated MS Exchange transport rule. Please see Processing rules and linked MS Exchange transport rules for more information.

Name
Use this text box to specify the name for the processing rule. This name must be unique among all processing rule objects.
Description
Use this text box to specify a description for the processing rule. This information element is optional and has no functional relevance.

Related Topics

Manage Processing Rules


Processing Rule - Action Property Page

Use this property page to specify which text modules to add to those e-mail messages which are processed by this rule and to specify how read-only messages should be handled.

IMPORTANT To specify filter criteria for a processing rule, you must configure the associated MS Exchange transport rule. Please see Processing rules and linked MS Exchange transport rules for more information.

Text Modules
You use this list box you specify which text modules using what placement policy to add to a message that is processed by this rule and to specify the default location of the text modules in relation to the original message text. The placement policy that is assigned to each text module can be used to control if the text of a text module should be added if it is already contained in the original message text or not, and if the text should be inserted into the original message text or added at the default location.
Move Up
Use this button to move the selected text modules up one position in the list.
Move Down
Use this button to move the selected text modules down one position in the list.
Add
Use this button to bring up the Add Text Modules dialog to add one or more text modules with a specific placement policy.
Remove
Use this button to remove the selected text modules from the list.
Placement Policy
Use this button to bring up the Select Placement Policy dialog to change the placement policy to use for the selected text modules.
Fallback action for read-only messages
Select one of the values in the combo-box (Ignore, Reject, Wrap) to specify how read-only messages should be handled. A read-only message is one whose content cannot be changed without corrupting the message, e.g. encrypted or digitally signed messages. If you specify Ignore, the message will not be processed and transmitted as-is. If you specify Reject, the original message will be discarded and a NDR will be sent back to the message originator. If you specify Wrap, a new plain text message will be created which contains the original message as attachment.

Related Topics

Manage Processing Rules


Processing Rule - Diagnostics Property Page

Use this property page to specify if messages processed by this rule will be logged to disk for diagnostic purposes.

Note For these settings to be effective on a specific server, message logging must be enabled on the Diagnostics property page of the server object.

Log processed messages
Use this check box to specify if messages which are processed by this rule should be logged to disk.
Log bad messages
Use this check box to specify if messages which are processed by this rule but for which message decoding fails should be logged to disk.

Related Topics

Manage Processing Rules


Text Module Properties

The Text Module property sheet consists of:

  • General Property Page: Used for specifying the name and an optional description for the text module.
  • Rich Text Property Page: Used for specifying the rich text for the text module.
  • Plain Text Property Page: Used for specifying the plain text for the text module.
  • HTML Text Property Page: Used for specifying the HTML text for the text module.
  • Attachments Property Page: Used for specifying the attachments for the text module.
  • vCard Property Page: Used for specifying the attachments for the text module.


Text Module - General Property Page

Use this property page to define or modify the name and an optional description for the text module.

Name
Use this text box to specify the name for the text module. This name must be unique among all text module objects.
Description
Use this text box to specify a description for the text module. This information element is optional and has no functional relevance.

Related Topics

Manage Text Modules


Text Module - Rich Text Property Page

Use this property page to specify the rich text which will be added to the corresponding body parts of e-mail messages.

Rich text
Use this text box to view the rich text which will be added to the rich text body part of e-mail messages.
Edit...
Click this button to bring up the Text Module Text Editor window for modifying the rich text of this text module.

Related Topics

Message Text, Character Sets and Unicode Text

Manage Text Modules

Text Module Text Editor Window


Text Module - Plain Text Property Page

Use this property page to specify the plain text which will be added to the corresponding body parts of e-mail messages.

Plain text
Use this text box to view the plain text which will be added to the plain text body part of e-mail messages.
Edit...
Click this button to bring up the Text Module Text Editor window for modifying the plain text of this text module.
Use converted rich text
Use this check box to specify if the plain text to use will be generated by converting the rich text of this text module to plain text.

Related Topics

Message Text, Character Sets and Unicode Text

Manage Text Modules

Text Module Text Editor Window


Text Module - HTML Text Property Page

Use this property page to specify the HTML text (HTML source code) which will be added to the corresponding body parts of e-mail messages.

HTML text (HTML source code)
Use this text box to view the HTML text (HTML source code) which will be added to the HTML text body part of e-mail messages.
Preview...
Click this button to bring up a preview window which will show the rendered result of the specified HTML text (HTML source code).
Edit...
Click this button to bring up the Text Module Text Editor window for modifying the HTML text (HTML source code) of this text module.
Use converted rich text
Use this check box to specify if the HTML text (HTML source code) to use will be generated by converting the rich text of this text module to HTML text (HTML source code).

Related Topics

Message Text, Character Sets and Unicode Text

Manage Text Modules

Text Module Text Editor Window


Text Module - Attachments Property Page

Use this property page to specify which files will be added as attachments when this text module is added to a message.

Attachments
In this list box you specify which files will be added as attachments:
Add
Use this button to bring up the Add Attachments dialog to add files to the list.
Remove
Use this button to remove the selected files from the list.

IMPORTANT All attachment files to select from must be located in the directory <InstallDir>\ Data\Configuration\Resources\Attachments.

Related Topics

Manage Text Modules


Text Module - vCard Property Page

Use this property page to specify which vCard mapping file, if any, you want to use.

vCard mapping file
Use this combo box to select which vCard mapping file, if any, you want to use. The selected vCard mapping file specifies which properties of the sender's Active Directory object are used to populate the properties of the vCard to create and add to messages.

IMPORTANT All vCard mapping files to select from must be located in the directory <InstallDir>\Data\Configuration\Resources\Vcards.

Related Topics

Manage Text Modules

Utilizing vCards


Server Properties

The Server property sheet consists of:

  • General Property Page: Used for changing the status of the message processor and for viewing information about the current configuration, the server and current users.
  • User Management Property Page: Used for specifying user management related settings.
  • Message Limits Property Page: Used for specifying the limits for maximum total message size and maximum body size.
  • Activity Log Property Page: Used for specifying the message processor activity log settings.
  • Diagnostics Property Page: Used for specifying the message and trace logging settings.


Server - General Property Page

Use this property page to view and change the status of the message processor and for viewing information about the current configuration, the server and current users.

Enable the message processor
Use this check box to specify if the message processor should be enabled or not. If the message processor is disabled, all messages will be ignored.
Configuration
This information element shows information about the current server configuration.
Server
This information element shows version and installation date of the DisclaimIt Services installed on the computer and the version of the MS Exchange Server.
User
This information element shows the number of active, licensed and unlicensed users of DisclaimIt Services installed on the computer.
Show...
Click this button to display a window which shows information about active users by displaying the content of the file Data\Information\ActiveUsers.xml.

Note For this active user information file to be created and regularly updated, you must configure the setting Publish active user information every x minutes on the User Management Property Page.

Related Topics

Manage Servers


Server - User Management Property Page

Use this property page to view and change user management related settings.

Verify user data every x minutes
Use this setting to specify the interval in minutes between cached data verification operations. A verification operation checks if cached object data are still valid or if the original AD object changed and the cached object data must be refreshed or purged from the cache.
Cache user properties
Use this check box to specify if attribute data of referenced AD objects should be cached.
Publish active user information every x minutes
Use this setting to specify the interval in minutes between active user publication operations. During an active user publication operation, information about active users (display name of mailbox/public folder, licensed status, the e-mail addresses used and the time of last use) is written to the file Data\Information\ActiveUsers.xml. This information can be viewed by clicking on the Show... button on the General Property Page.

Related Topics

Manage Servers


Server - Message Limits Property Page

Use this property page to view and change the limits for maximum total message size and maximum body size to prevent excessive resource utilization.

Maximum body size
Use this setting to specify the maximum body size of messages. Messages with a larger body size will be ignored. A value of 0 specifies no limit for the maximum body size.
Maximum message size
Use this setting to specify the maximum total size of message. Messages with a larger total size will be ignored. A value of 0 specifies no limit for the maximum message size.

Related Topics

Manage Servers


Server - Activity Log Property Page

Use this property page to view and specify message processor activity log settings.

Enable the activity log
Use this check box to specify if logging of message processor activity should be enabled or not. If activity logging is enabled, information about processed messages will be logged to daily log files. See the topic Activity Log File Format for more information about the data format of these log files. The filenames of activity log files will be generated according to the following specification: MPActivityYYYYMMDD.log
Log path
Use this text box to specify the fully qualified path of the folder where the log files will be created. The default log path is <InstallDir>/Logs/MPActivity.

IMPORTANT If you specify a custom log path, you must ensure that the NETWORK SERVICE account has sufficient permissions to create files and to open files for read/write access in the target folder.

Remove log files older than x days
Use this setting to specify that log files older than the specified number of days will be automatically deleted. A value of 0 days disables the automatic cleanup functionality.
Use local time for file naming and rollover
Use this check box to specify if local time or UTC time will be used for file name generation and timing of log file rollover.
Use local time for log fields
Use this check box to specify if local time or UTC time will be used for timestamp values in the log data.
Log ignored messages
Use this check box to specify if information about messages which are ignored by the message processor should also be logged or not.
Log fields
Use this list box to specify which information per message processing operation will be logged and in which order the selected information fields will be arranged in the log data.

Note At least one log field must be selected.

Related Topics

Activity Log File Format


Server - Diagnostics Property Page

Use this property page to view and specify message and trace log settings.

Log processed messages
Use this check box to specify if messages which will be processed by the message processor should be logged. If enabled, a message being processed will be written as a file to the directory Diagnostics\Messages\Processed\Before with its state before being processed and to the directory Diagnostics\Messages\Processed\After with its state after being processed.
Log ignored messages
Use this check box to specify if messages which will be ignored by the message processor should be logged to disk. If enabled, an ignored message will be written as a file to the directory Diagnostics\Messages\Ignored.
Log bad messages
Use this check box to specify if messages which the message processor fails to decode should be logged to disk. If enabled, a bad message will be written as a file to the directory Diagnostics\Messages\Bad.
Do not log messages larger than x KB
Use this setting to specify the maximum size of messages which should be logged to disk. Messages with a larger message size will not be logged.
Categories and Log levels
The list shows the supported categories and their current log levels. To change log levels, select one or more categories in this list and then click the button for the desired log level (None, Minimum, Medium, Maximum).
Log to file
Use this check box to specify if diagnostic information should be written to text files. If enabled, diagnostic information will be written to the files Diagnostics\TraceLogs\ManagementService.log and Diagnostics\TraceLogs\MessageProcessor.log.
Log to Event Log
Use this check box to specify if diagnostic information should be written to the Application Event Log. It is not recommended to enable this setting because of the large amount of information that would be written to the Application Event Log.

Related Topics

Manage Servers


DisclaimIt Manager Dialogs

This topic contains conceptual information about DisclaimIt Manager dialogs.

The following section describes how you should use the dialogs to properly configure DisclaimIt. The information provided reflects the context-sensitive Help that is provided for all dialogs. You can also access this information by clicking the Help button on any dialog.

Note The information presented in this section is context-sensitive; that is, many concepts and procedures described in this section relate directly to specific actions that can be carried out in DisclaimIt Manager. The topics are not intended to be read as a stand-alone reference.

This section contains:

  • Add Attachments Dialog: Dialog used to add files as attachments to a text module.
  • Add Inline Image Element Dialog: Dialog used to add files as attachments to a text module.
  • Add Print Directive Dialog: Dialog used to add files as attachments to a text module.
  • Add Text Modules Dialog: Dialog used to connect to a computer for remote administration.
  • Import Legacy Configuration Dialog: Dialog used to import a legacy configuration file.
  • New Placement Policy Dialog: Dialog used to specify the name for a new processing rule.
  • New Processing Rule Dialog: Dialog used to specify the name for a new processing rule.
  • New Text Module Dialog: Dialog used to specify the name for a new text module.
  • Select Placement Policy Dialog: Dialog used to select a placement policy to use for text modules.
  • Select Server Dialog: Dialog used to connect to a computer for remote administration.


Add Attachments Dialog

Use this dialog to select available files to be added as attachments to the text module.

Attachments
Use this list box to select the files you want to add as attachments.

IMPORTANT You can only select files located in the directory <InstallDir>\Data\Configuration\Resources\Attachments as attachments to be added.

Related Topics

Manage Text Modules

Text Module - Attachments Property Page


Add Inline Image Element Dialog

Use this dialog to create an IMG element for the selected image file and add it to the HTML text of the text module.

Image file
Use this combo box to select the image file for which you want to create an IMG element to be added to the HTML text of the text module.

IMPORTANT All image files to select from must be located in the directory <InstallDir>\Data\Configuration\Resources\Images.

Note The IMG element that will be added contains only the SRC attribute used to specify the image file name. Depending on your formatting needs, it may be necessary to add other attributes (e.g. HEIGHT, WIDTH, ALT, etc.) to the IMG element.

Related Topics

Specifying Inline Image Files in HTML Text

Manage Text Modules

Text Module - HTML Text Property Page

Text Module Text Editor Window


Add Print Directive Dialog

Use this dialog to create a print directive and add it to the plain or HTML text of the text module.

Information class
Use this combo box to select the desired class of the data object. This selection will be used as the value for the Class parameter of the resulting print directive.
Include File
This combo box is only displayed if Include file is selected in the Information class combo box. Use it to select an available include file. This selection will be used as the value for the Name parameter of the resulting print directive.

IMPORTANT You can only select an include file located in the directory <InstallDir>\Data\Configuration\Resources\Includes.

Message Property
This combo box is only displayed if Message property is selected in the Information class combo box. Use it to select a message property from the list. This selection will be used as the value for the Name parameter of the resulting print directive.
Originator Attribute
This combo box is only displayed if Originator attribute is selected in the Information class combo box. Use it to select an Active Directory (AD) attribute from the list. This selection will be used as the value for the Name parameter of the resulting print directive.

Note The list contains only attributes that are usually used for personal information. By editing the print directive in the rich/plain/HTML text, you can specify an arbitrary attribute.

Note The attributes used must belong to the partial attribute set (PAS) that is replicated to Global Catalog (GC) servers because a GC is queried for the values of the specified attributes.

Source
This combo box is only displayed if Originator attribute is selected in the Information class combo box. Use it to select an entry from the list or to enter an SMTP address. The value will be used as the value for the Source parameter of the resulting print directive.
Range
These text boxes are only displayed if Message property or Originator attribute is selected in the Information class combo box and a multi-valued message property or a multi-valued originator attribute is selected in the Property or Attribute combo boxes. Use it to specify a range of values to process. The specified range will be used as the value for the Range parameter of the resulting print directive.
Separator
This text box is only displayed if Message property or Originator attribute is selected in the Information class combo box and a multi-valued message property or a multi-valued originator attribute is selected in the Property or Attribute combo boxes. Use it to specify a separator string. The specified string will be used as the value for the Separator parameter of the resulting print directive.
Process value string(s)
Use this check box to enable editing of the Search pattern, If match and If no match entry fields.
Format
Use this text box to enter a .NET format specifier to achieve custom formatting of integer and date/time values. If this entry is left blank, the default formatting will be applied.
Search pattern
Use this text box to enter a regular expression for conditional processing of the value(s) of the data object. The specified string will be used as the value for the Pattern parameter of the resulting print directive.
If match
Use this text box to enter a string that specifies what will be inserted in case a match was found for the specified search pattern. The specified string will be used as the value for the IfMatch parameter of the resulting print directive.
If no match
Use this text box to enter a string that specifies what will be inserted in case no match was found for the specified search pattern. The specified string will be used as the value for the IfNoMatch parameter of the resulting print directive.

Related Topics

Manage Text Modules

Text Module - Rich Text Property Page

Text Module - Plain Text Property Page

Text Module - HTML Text Property Page

Print Directives

Regular Expressions


Add Text Modules Dialog

Use this dialog to select text modules to be added to with the processing rule.

Text Modules
Use this list box to select the text modules you want to add.
Placement policy to use
Use this combo box to select the placement policy you want to associate with the selected text modules.

Related Topics

Manage Processing Rules

Processing Rule - Action Property Page


Import Legacy Configuration Dialog

Use this dialog to import the configuration settings of an installation of DisclaimIt 2.6, 2.7, 3.0 or 3.1.

Import file
Use the edit box to enter the path and filename of the legacy configuration file or click the button Browse... to show the Open File dialog to select the legacy configuration file.

Related Topics

Importing Legacy Configuration


New Placement Policy Dialog

Use this dialog to specify the name of the new placement policy to create.

Name
Use this text box to enter the name of the new placement policy. This name must be unique among all placement policy objects.

Related Topics

Manage Placement Policies


New Processing Rule Dialog

Use this dialog to specify the name of the new processing rule to create.

Name
Use this text box to enter the name of the new processing rule. This name must be unique among all processing rule objects.

Related Topics

Manage Processing Rules


New Text Module Dialog

Use this dialog to specify the name of the new text module to create.

Name
Use this text box to enter the name of the new text module. This name must be unique among all text module objects.

Related Topics

Manage Text Modules


Select Placement Policy Dialog

Use this dialog to select which placement policy to assign to the selected text modules.

Placement policy to use
Use this combo box to select the placement policy to use.

Related Topics

Manage Processing Rules

Processing Rule - Action Property Page


Recipients Server Dialog

Select Recipients Dialog

Use this dialog to select one or more e-mail recipients from your Active Directory.

Related Topics

Configuration - Administrative Contacts Property Page

Manage Configuration


Select Server Dialog

Use this dialog to select one of the displayed Hub Transport Servers you want to connect to. The connection attempt will only succeed if the DisclaimIt Services are installed on the selected Hub Transport Server.

Related Topics

Manage Servers


DisclaimIt Manager Special UI Elements

This topic contains conceptual information about special DisclaimIt Manager UI elements.

Note The information presented in this section is context-sensitive; that is, many concepts and procedures described in this section relate directly to specific actions that can be carried out in DisclaimIt Manager. The topics are not intended to be read as a stand-alone reference.

This section contains:

  • Text Module Text Editor Window: Text editor window used for editing the rich text, plain text and HTML text (HTML source code) of a text module.


Text Module Text Editor Window

The text editor window is used to edit the rich text, plain text and HTML text (HTML source code) of a text module.

Toolbar Buttons

Toolbar Button | Operation
Saved Changes | Save changes made to the text and close window. This button is disabled as long as the text has not been changed.
Discard Changes | Discard changes (if there are any) made to the text and close window.
Add Print Directive | Bring up the Add Print Directive dialog to add a print directive to the text.
Add Inline Image Element | Bring up the Add Inline Image Element dialog to add an inline image element to the text (HTML text only).
Preview HTML | Bring up a preview window which will show the rendered result of the specified HTML text (HTML text only).
Select Font | Bring up the Font dialog for specifying the font to use for the selected text (rich text only).
Align Left | Left-align the selected text (rich text only).
Center | Center the selected text (rich text only).
Align Right | Right-align the selected text (rich text only).
Bullets | Insert bullets into the text (rich text only).
Decrease Indent | Decrease the indentation level of the selected text (rich text only).
Increase Indent | Increase the indentation level of the selected text (rich text only).

Shortcut Keys

Key | Operation
Insert | Switch between insert/overwrite mode (rich text only).
Ctrl+A | Select all
Ctrl+C | Copy
Ctrl+V | Paste
Ctrl+X | Cut
Ctrl+Z | Undo
Ctrl+Y | Redo (rich text only).
Ctrl+Backspace | Delete previous word (rich text only).
Ctrl+Insert | Copy
Shift+Insert | Paste
Ctrl+Left Arrow | Move cursor one word to the left.
Ctrl+Right Arrow | Move cursor one word to the right.
Ctrl+Up Arrow | Move to the line above (rich text only).
Ctrl+Down Arrow | Move to the line below (rich text only).
Ctrl+Home | Move to the beginning of the document.
Ctrl+End | Move to the end of the document.
Ctrl+Delete | Delete the next word or selected characters (rich text only).
Shift+Delete | Cut the selected characters.
Alt+X | Converts the Unicode hexadecimal value preceding the insertion point to the corresponding Unicode character (rich text only).
Alt+Shift+X | Converts the Unicode character preceding the insertion point to the corresponding Unicode hexadecimal value (rich text only).
Alt+0xxx (Number Pad) | Inserts Unicode values if xxx (must enter decimal value) is greater than 255. When xxx is less than 256, ASCII range text is inserted based on the current keyboard.

Related Topics

Manage Text Modules

Text Module - Rich Text Property Page

Text Module - Plain Text Property Page

Text Module - HTML Text Property Page

Add Inline Image Element Dialog

Add Print Directive Dialog

Print Directive


Activity Log File Format

Activity log files are CVS-formatted text files. The encoding used is UTF-8. The information about the processing of a message is contained in a single text line, which contains one or more log fields, depending on the configuration.

When a new log file is created or an existing log file is opened for write access, a header consisting of five text lines is written to the log file:

#Software: DisclaimIt
#Version: Version
#Log-type: Message Processor Activity Log
#Date: Timestamp
#Fields: Field-List

Log Fields

Field Name | Description
DateTime | RFC3339-formatted timestamp of when the message was processed/ignored.
SenderAddress | SMTP address of the envelope sender of the processed/ignored message.
RecipientAddress | SMTP address(es) of the envelope recipient(s) of the processed/ignored message.
MessageId | Value of the MessageId header of the processed/ignored message.
MessageSubject | Value of the Subject header of the processed/ignored message.
Trigger | One of the following strings: Unknown, None, MessageHeader, TestMessageSubject
RuleName | Name of the processing rule which was used for processing the message. The value is the empty string in case of an ignored message.
RuleGUID | GUID of the processing rule which was used for processing the message. The value is the empty string in case of an ignored message.
Status | One of the following strings: Ignored, NotProcessed, Processed, WrappedAndProcessed, Rejected
Reason | One of the following strings: MessageProcessorDisabled, NoTrigger, ProcessingRule, ProcessingRuleOpaqueMessage, MessageUnsupportedCategory, MessageMaxSizeExceeded, MessageProcessorError

Related Topics

Server - Activity Log Property Page


Regular Expressions

Regular expressions can be used in search patterns of placement policies and print directives. The regular expression engine used is the one provided by .NET Framework 2.0.

Note Case-sensitive matching is performed by default for regular expressions used as search patterns of placement policies and print directives. You can override this behavior in the expression itself.

For in-depth information about regular expressions, we recommend Jeffrey E. Friedl's excellent book Mastering Regular Expressions, 3rd Edition, Jeffrey E. F. Friedl, O'Reilly and Associates, 2006.


Print Directives

The rich text, plain text and HTML text of text modules can contain print directives to support dynamic inclusion of text file content, message properties and Active Directory (AD) attributes. When the text of a text module is added to a message, every print directive is processed and the inclusion text it specifies replaces the text of the print directive before the resulting text is added to the message.

The print directive has the following syntax:

{#Print NamedParameterList }

where NamedParameterList contains two or more named parameters, separated by space or tab characters.

A named parameter has the following form:

Name="Value"

Note The keyword Print and the names of parameters are case-insensitive.

The value string of any parameter except Class can contain one or more nested print directives.

Parameters:

Class
This mandatory parameter specifies the class of the data object to include.

The following values are supported: File, MessageProperty (short version: MP), OriginatorAttribute (short version: OA), Variable (short version: Var).

Example: Class="File"

Name
This mandatory parameter specifies the name of the data object to include.

Note An empty name (Name="") is a valid value. In this case the print directive will be replaced by an empty string in the resulting text.

If Class="File", the value is the file name of an include file. Text files which are used as include files must be located in the directory <InstallationPath>\Include. Include files can either be ANSI or Unicode text files.

Example: Name="Include1.txt"

If Class="MessageProperty" or Class="MP", the value is the name of a supported message property:

Name | Multi-valued
AttachmentCount | No
AttachmentFileNames | Yes
CC | Yes
From | No
ReplyTo | No
Sender | No
SentOn | No
Subject | No
To | Yes

Example: Name="Subject"

If Class="OriginatorAttribute" or Class="OA", the value is the name of an attribute of the Active Directory (AD) object that is associated with the originator e-mail address. Depending on the Active Directory (AD) schema, the attribute can be single-valued or multi-valued.

Example: Name="telephoneNumber"

Note The attributes used must belong to the partial attribute set (PAS) that is replicated to Global Catalog (GC) servers because a GC is queried for the values of the specified attributes.

If Class="Variable" or Class="Var", the value is the name of a variable. Variables have the following properties:

  • The name of a variable must start with a letter, subsequent characters can also be digits (0-9) or the underscore (_).
  • The case of the first character of the variable name specifies the scope of the variable: If the first character is an upper case character, the variable has global scope (is visible across all text modules). If the first character is a lower case character, the variable has local scope (is visible only in the text module where it is defined).
  • A variable is defined by assigning a value to it by using a print directive which makes use of the AssignTo parameter.
  • The value stored in a variable is always a single-valued string.
  • If the name of an undefined variable is specified, the value returned will be the empty string.
  • Each type of text (rich text, plain text HTML text) has its own, distinct variable space.
  • Because a variable can only be retrieved after it has been defined, the order of print directive processing is important: In a first stage, nested print directives across all text modules (in the order specified by the processing rule) are processed. In a second stage, print directives at the main level across all text modules (in the order specified by the processing rule) are processed. This implies that you cannot retrieve a variable in a nested print directive when the variable is defined in a main level print directive.
Source
This optional parameter is only interpreted if Class="OriginatorAttribute" or Class="OA". Its value can either be From, Sender or a valid SMTP address string.

If this parameter is not specified, the SMTP address of the Sender header of the message is used if it exists, otherwise the SMTP address of the From header of the message is used.
If this parameter has the value From, the SMTP address of the From header of the message is used.
If this parameter has the value Sender, the SMTP address of the Sender header of the message is used.
If this parameter is a valid SMTP address string, it is used as-is.

The resulting SMTP address is used to locate the Active Directory (AD) object (user, contact, public folder) from which the specified attribute will be read.

Example: Source="departmentinfo@netal.com"

Range
This optional parameter is only interpreted if the data object is a multi-valued message property or a multi-valued originator attribute. Its value must have the form IndexOfFirstValueToInclude-IndexOfLastValueToInclude, for example: 1-3. The asterisk (*) can be used to denote the index of the last value. The index of the first value is 1. If the value consists of a single sharp (#) character, a randomly generated index between 1 and the index of the last value will be used.

If this parameter is not specified, a range specification of 1-* is used as default value, this means all values of the data object will be included.

Example: Range="2-*"

Separator
This optional parameter is only interpreted if the data object is a multi-valued message property or a multi-valued originator attribute. Its value is a string that will be inserted between the value strings of the multi-valued data object.

Besides normal characters, the value string can contain the following escape sequences:

Escape sequence | Performs the following action
\n | Inserts a line feed.
\r | Inserts a carriage return.
\t | Inserts a tab character.
\\ Inserts a backslash.
\ooo | Indicates an ASCII character in octal notation (up to three digits).
\uhhhh | Indicates a UNICODE character in hexadecimal notation (exactly four digits).
\xhh | Indicates an ASCII character in hexadecimal notation (exactly two digits).

Note Because the value string is delimited by double quotation characters ("), if you want to insert a double quotation character ("), you must use the escape sequence \x22 or \u0022.

If this parameter is not specified, an empty string is used as default value.

Example: Separator="\r\n"

Format
This optional parameter can be used to provide custom string formatting of integer or date/time values by using a .NET Framework 2.0 format specifier. In case of string values, the format string can either be "c" or "C", where "c" specifies that the string value will be converted to lower case and "C" specifies that the string value will be converted to upper case. If this parameter is not specified or has an empty value, the default formatting is applied.

Example: Format="yyyy-MM-dd HH:mm:ss"

Pattern
This optional parameter is used along with the IfMatch and IfNoMatch parameters for conditional processing of the value(s) of the data object. Its value must be a regular expression that is used for searching each value's text of the data object. If a match is found, the resulting text depends on the IfMatch parameter. If no match is found, the resulting text depends on the IfNoMatch parameter.

If this parameter is not specified, each value is inserted as-is.

Note The regular expression is interpreted case-sensitive by default. You can override this behavior in the expression itself.

Example: Pattern="(SMTP|smtp):(.*)"

IfMatch
This optional parameter is used along with the Pattern and IfNoMatch parameters for conditional processing of the value(s) of the data object. Its value is a string that specifies what will be inserted in case a match was found for the specified search pattern.

Besides normal characters and escape sequences (see Separator above), the value string can contain the following substitution variables:

Variable | Performs the following action
$* Inserts the value's text.
$& Inserts the text matched by the search pattern.
$` Inserts the text in front of (to the left of) the text matched by the search pattern.
$´ Inserts the text after (to the right of) the text matched by the search pattern.
$1 .. $99 | Inserts the text matched by the 1st .. 99th set of capturing parentheses contained in the search pattern.

A substitution variable can optionally be enclosed in braces, for example: {$1}. When using this format, you can optionally specify that the replacement string should be converted to lower case or upper case by appending a colon separator and the character c (convert to lower case) or C (convert to upper case), for example: {$1:c}.

Note Because the value string is delimited by double quotation characters ("), if you want to insert a double quotation character ("), you must use the escape sequence \x22.

If this parameter is not specified, $& is used as default value, this means the text matched by the search pattern will be inserted.

Example: IfMatch="E-mail address: $2"

IfNoMatch
This optional parameter is used along with the Pattern and IfMatch parameters for conditional processing of the value(s) of the data object. Its value is a string that specifies what will be inserted in case no match was found for the specified search pattern.

Besides normal characters and escape sequences (see Separator above), the value string can contain the following substitution variable:

Variable Performs the following action
$* Inserts the value's text.

The substitution variable can optionally be enclosed in braces, for example: {$*}. When using this format, you can optionally specify that the replacement string should be converted to lower case or upper case by appending a colon separator and the character c (convert to lower case) or C (convert to upper case), for example: {$*:c}.

Note Because the value string is delimited by double quotation characters ("), if you want to insert a double quotation character ("), you must use the escape sequence \x22.

If this parameter is not specified, an empty string is used as default value.

Example: IfNoMatch="Invalid e-mail address!"

AssignTo
This optional parameter can be used to assign the output of the print directive to a variable. If this parameter is given, the specified variable consumes the output of the print directive: the output of the print directive with regard to the surrounding text is the empty string.

Example: AssignTo="Separator1"

Examples:

{#Print Class="File" Name="Include1.txt"}

{#Print Class="MP" Name="From"}

{#Print Class="OA" Name="telephoneNumber" Pattern=".+" IfMatch="Tel: $&"}

Nested Print Directives

DisclaimIt supports one level of nested print directives, this means that the value string of any parameter (except Class) of a print directive at the main level can contain one or more nested print directives at the nested level. This allows for very complex usage scenarios because the parameters of a print directive at the main level can be dynamically constructed at runtime.

Example:

You want to print the value of the originator attribute mobile but only if the originator attribute pager is not empty, otherwise do not print the value of the originator attribute mobile.

{#Print Class="OA" Name="{#Print Class="OA" Name="pager" Pattern=".+" IfMatch="mobile"}" Pattern=".+" IfMatch="Mobile: $&"}

Related Topics

Text Module - Rich Text Property Page

Text Module - Plain Text Property Page

Text Module - HTML Text Property Page

Text Module Text Editor Window

Add Print Directive Dialog

Regular Expressions


Performance Counters

The operation of the DisclaimIt Services components can be monitored by using the following provided performance objects:

DisclaimIt User Management

Counter Name | Description
Active Users | Active Users is the number of users which sent messages being processed by DisclaimIt within the last 36 hours.
Licensed Users | Licensed User is the number of users which are currently covered by one or more product licenses.
Unlicensed Users | Unlicensed Users is the number of users which are currently not covered by one or more product licenses.
GetUserInformation Calls Total | GetUserInformation Calls Total is the total number of GetUserInformation calls since system initialization.
GetUserInformation Calls/sec | GetUserInformation Calls/sec is the number of GetUserInformation calls per second.
GetUserProperties Calls Total | GetUserProperties Calls Total is the total number of GetUserProperties calls since system initialization.
GetUserProperties Calls/sec | GetUserProperties Calls/sec is the number of GetUserProperties calls per second.

DisclaimIt DSAccess

Counter Name | Description
Cache Entries | Cache Entries is the number of user data entries in the cache. An user data entry stores information about a DisclaimIt user, which is either a mailbox-enabled user or a mail-enabled public folder.
Cache Inserts Total | Cache Inserts Total is the total number of user data objects inserted into the cache since system initialization.
Cache Inserts/sec | Cache Inserts/sec is the number of user data objects inserted into the cache per second.
Cache Expiries Total | Cache Expiries Total is the total number of user data objects expired from the cache since system initialization.
Cache Expiries/sec | Cache Expiries/sec is the number of user data objects expired from the cache per second.
Cache Hits Total | Cache Hits Total is the total number of object-found-in-cache events since system initialization.
Cache Hits/sec | Cache Hits/sec is the number of object-found-in-cache events per second.
Cache Misses Total | Cache Misses Total is the total number of object-not-found-in-cache events since system initialization.
Cache Misses/sec | Cache Misses/sec is the number of object-not-found-in-cache events per second.
LDAP Searches Total | LDAP Searches Total is the total number of LDAP search requests issued since system initialization.
LDAP Searches/sec | LDAP Searches/sec is the number of LDAP search requests issued per second.

DisclaimIt Message Processor

Counter Name | Description
Messages Processed Total | Messages Processed Total is the total number of messages processed by the message processor since system initialization.
Messages Processed/sec | Messages Processed/sec is the number of messages processed by the message processor per second.
Messages Ignored Total | Messages Ignored Total is the total number of messages ignored by the message processor since system initialization.
Messages Ignored/sec | Messages Ignored/sec is the number of messages ignored by the message processor per second.
Message Processing Operations Current | Message Processing Operations Current is the number of messages which are currently processed.
Average Message Processing Time (sec) | Average Message Processing Time (sec) is the average processing time in seconds per message.


Licenses

IMPORTANT Licenses for DisclaimIt 1.x, 2.x and 3.x are not valid for DisclaimIt 4.8 and must be upgraded to DisclaimIt 4.x licenses. For more information, please see http://www.netal.com/disclaimit4x.htm.

DisclaimIt ships with an evaluation license, which supports 100000 users, but expires 60 days after installation. According to the End-User License Agreement ("EULA"), on expiration of the evaluation license, you must either purchase one or more valid customer licenses, or, as an alternative, completely uninstall the software.

The evaluation license covers up to 100,000 users, but will expire 60 days after installation. A customer license is valid for 20 years, but covers only the number of users as specified by the customer license (e.g. 10 user license, 25 user license, etc.).

For each customer license purchased, you will receive a license certificate file. To apply a license to an installation of DisclaimIt Services, copy the license certificate file to the directory <InstallDir>\Data\Configuration\Licenses.

A customer license, represented by a license certificate file, may be applied to and used on as many servers within the same organization at the same time as desired. This means that you only need one license for as many users as the maximum number of users to be supported on any of your MS Exchange hub transport servers.

More than one customer license can be applied to the same server at the same time. For example, let's assume that a customer purchased a 50 user license for his 40 user environment. Due to growth of the company, it's foreseeable that within a year 70 user will be using the product. Instead of purchasing a new 100 user license, the customer can purchase a 25 user license and apply it to the computer in addition to the already existing 50 user license. 75 users are now covered by the two licenses on the server.

IMPORTANT All customer licenses to be applied to the same server must have been issued to the same licensee. If this is not the case, only one license will be recognized!

A customer license is valid for all product releases with the same major version number (e.g. 4.0, 4.5, 4.8, etc.).

Note To get information about prices for licenses, to order licenses or to find detailed ordering information, please go to http://www.netal.com/disclaimit4x.htm.

License Certificate File

License certificate files have arbitrary names with the extension .ctf and contains XML-formatted data. License certificate files must be located in the directory Data\Configuration\Licenses to be recognized by DisclaimIt.

IMPORTANT Because a license certificate file is protected by a digital signature, never change the content of a license certificate file!

The properties of licenses can also be viewed using the License General Property Page.

User

Whenever a message is processed by DisclaimIt, the originator of the message counts as a user if the sender address is defined on any recipient object (mailbox/contact/group/public folder). The recipient object of the originator is used to represent the user and is stored in a list which contains all active users. If a user does not send another message, which is processed by DisclaimIt, for 36 hours, the user entry is removed from the list of active users.


End-User License Agreement

DisclaimIt Software License Agreement

IMPORTANT - READ CAREFULLY: This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and Franz Krainer for the software product DisclaimIt, which includes computer software and may include associated media, printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT"). By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE PRODUCT.

The SOFTWARE PRODUCT contains some or all of the following types of software: "RUNTIME SOFTWARE" that provides the runtime components (DisclaimIt Services); "SUPPORT SOFTWARE" that contains components for administering the runtime components (DisclaimIt Manager and Product Documentation).

The SOFTWARE PRODUCT is licensed, not sold.

GRANT OF LICENSE

This EULA grants you the following rights to the SOFTWARE PRODUCT:

1. Installation. The SOFTWARE PRODUCT may be provided on multiple media such as CD-ROM or DVD-ROM or may be obtained by "electronic software distribution" such as File Download from the Internet. You may install the software from the provided media in the following manner:

2. RUNTIME SOFTWARE. You may install and use the RUNTIME SOFTWARE on an unlimited number of computers for the purpose of evaluating the product. On expiration of the evaluation license, you must either purchase one or more user licenses or alternatively 'uninstall' the RUNTIME SOFTWARE from all computers on which it was installed and where the evaluation license has expired.

3. SUPPORT SOFTWARE. You can install any component of SUPPORT SOFTWARE on an unlimited number of computers.

4. User License. A user license, which is valid for 20 years, is represented by a license certificate file and is issued for a specific licensee and number of covered users. More than one user license can be applied to the same computer, provided that the name of the licensee is the same. A specific user license may be applied to and used on as many computers within the same organization at the same time as desired.

5. Upgrades. The SOFTWARE PRODUCT is stamped with a version code consisting of a major and a minor version number. An example of a version code would be "4.8". Issued user licenses are valid for all versions with the same major version. For example, a user license for version "4.x" is valid for "4.5" or "4.8", but not for "5.1" or "5.2".

DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS

6. For all SOFTWARE Rental. You may not rent or lease the SOFTWARE PRODUCT.

7. Limitation on Reverse Engineering, Decompilation, and Disassembly. You may not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

8. Termination. Without prejudice to any other rights, Franz Krainer may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the SOFTWARE PRODUCT and all of its component parts.

COPYRIGHT

9. The SOFTWARE PRODUCT is licensed, not sold. Title and copyrights in and to the SOFTWARE PRODUCT (including any images, applets, photographs, animations, video, audio, music, and text incorporated into the SOFTWARE PRODUCT), accompanying printed materials, and any copies you are permitted to make herein are owned by Franz Krainer or his suppliers and are protected by Austrian copyright laws and international treaty provisions.

DISCLAIMER OF WARRANTY

10. THIS SOFTWARE AND ITS ACCOMPANYING WRITTEN MATERIALS ARE PROVIDED BY LICENSOR "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT, ARE DISCLAIMED.

11. IN NO EVENT SHALL LICENSOR OR ITS SUPPLIERS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, SAVINGS, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Because some states do not allow the exclusion or limitation of liability for consequential or incidental damages, the above limitation may not apply to you.

© Franz Krainer 2001-2014. All Rights Reserved. Legal Notices

2014-09-21